版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-08|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 站点部门窗口服务接口
### 查询站点部门窗口列表
**URL:** http://localhost:8080/m/window/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询站点部门窗口

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─siteName|String|站点名称|否|-
└─deptId|Long|部门ID|否|-
└─deptName|String|部门名称|否|-
└─name|String|窗口名称|否|-
└─englishName|String|英语窗口名|否|-
└─region|String|区域|否|-
└─englishRegion|String|英语区域|否|-
└─fromnum|String|窗口编号|否|-
└─hongqi|Integer|红旗窗口 (1.是，0.否)|否|-
└─summary|String|备注|否|-
└─building|Integer|楼栋|否|-
└─level|Integer|楼层|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─deptIdStart|Long|大于 > 部门ID|否|-
└─deptIdEnd|Long|小于 < 部门ID|否|-
└─deptIdList|array|部门ID列表|否|-
└─deptNameList|array|部门名称列表|否|-
└─nameList|array|窗口名称列表|否|-
└─englishNameList|array|英语窗口名列表|否|-
└─regionList|array|区域列表|否|-
└─englishRegionList|array|英语区域列表|否|-
└─fromnumList|array|窗口编号列表|否|-
└─hongqiStart|Integer|大于 > 红旗窗口 (1.是，0.否)|否|-
└─hongqiEnd|Integer|小于 < 红旗窗口 (1.是，0.否)|否|-
└─hongqiList|array|红旗窗口 (1.是，0.否)列表|否|-
└─summaryList|array|备注列表|否|-
└─buildingStart|Integer|大于 > 楼栋|否|-
└─buildingEnd|Integer|小于 < 楼栋|否|-
└─buildingList|array|楼栋列表|否|-
└─levelStart|Integer|大于 > 楼层|否|-
└─levelEnd|Integer|小于 < 楼层|否|-
└─levelList|array|楼层列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语窗口名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─region|String|区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishRegion|String|英语区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fromnum|String|窗口编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|Integer|红旗窗口 (1.是，0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑站点部门窗口
**URL:** http://localhost:8080/m/window/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑站点部门窗口，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语窗口名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─region|String|区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishRegion|String|英语区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fromnum|String|窗口编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|Integer|红旗窗口 (1.是，0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新站点部门窗口
**URL:** http://localhost:8080/m/window/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新站点部门窗口：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─siteName|String|站点名称|是|-
└─deptId|Long|部门ID|是|-
└─deptName|String|部门名称|是|-
└─name|String|窗口名称|是|-
└─englishName|String|英语窗口名|是|-
└─region|String|区域|是|-
└─englishRegion|String|英语区域|是|-
└─fromnum|String|窗口编号|是|-
└─hongqi|Integer|红旗窗口 (1.是，0.否)|是|-
└─summary|String|备注|是|-
└─building|Integer|楼栋|是|-
└─level|Integer|楼层|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语窗口名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─region|String|区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishRegion|String|英语区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fromnum|String|窗口编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|Integer|红旗窗口 (1.是，0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看站点部门窗口
**URL:** http://localhost:8080/m/window/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看站点部门窗口，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语窗口名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─region|String|区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishRegion|String|英语区域|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fromnum|String|窗口编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|Integer|红旗窗口 (1.是，0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hongqi|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除站点部门窗口
**URL:** http://localhost:8080/m/window/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除站点部门窗口

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 站点部门窗口导入模板下载
**URL:** http://localhost:8081/m/window/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 站点部门窗口导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/window/downloadTemplate
```

**Response-example:**
```
...
```

### 导入站点部门窗口
**URL:** http://localhost:8081/m/window/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入站点部门窗口

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/window/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 站点业务服务接口
### 查询站点业务列表
**URL:** http://localhost:8080/m/business/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询站点业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─siteName|String|站点名称|否|-
└─parentId|Long|父级ID|否|-
└─ancestors|String|祖级列表，逗号分隔|否|-
└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|否|-
└─name|String|业务名称|否|-
└─remark|String|备注|否|-
└─canorder|Integer|是否允许预约（1.允许，0.不允许）|否|-
└─cantake|Integer|是否允许取号（1.允许，0.不允许）|否|-
└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|否|-
└─englishname|String|英语业务名|否|-
└─flownum|String|流水编号如A、B|否|-
└─status|Integer|业务状态 (0.停用，1.正常)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─parentIdStart|Long|大于 > 父级ID|否|-
└─parentIdEnd|Long|小于 < 父级ID|否|-
└─parentIdList|array|父级ID列表|否|-
└─ancestorsList|array|祖级列表，逗号分隔列表|否|-
└─isBusinessStart|Integer|大于 > 业务类型(0.一级业务,1.二级业务)|否|-
└─isBusinessEnd|Integer|小于 < 业务类型(0.一级业务,1.二级业务)|否|-
└─isBusinessList|array|业务类型(0.一级业务,1.二级业务)列表|否|-
└─nameList|array|业务名称列表|否|-
└─remarkList|array|备注列表|否|-
└─canorderStart|Integer|大于 > 是否允许预约（1.允许，0.不允许）|否|-
└─canorderEnd|Integer|小于 < 是否允许预约（1.允许，0.不允许）|否|-
└─canorderList|array|是否允许预约（1.允许，0.不允许）列表|否|-
└─cantakeStart|Integer|大于 > 是否允许取号（1.允许，0.不允许）|否|-
└─cantakeEnd|Integer|小于 < 是否允许取号（1.允许，0.不允许）|否|-
└─cantakeList|array|是否允许取号（1.允许，0.不允许）列表|否|-
└─datashowStart|Integer|大于 > 大厅情况展示 （1.展示，0.不展示）|否|-
└─datashowEnd|Integer|小于 < 大厅情况展示 （1.展示，0.不展示）|否|-
└─datashowList|array|大厅情况展示 （1.展示，0.不展示）列表|否|-
└─englishnameList|array|英语业务名列表|否|-
└─flownumList|array|流水编号如A、B列表|否|-
└─statusStart|Integer|大于 > 业务状态 (0.停用，1.正常)|否|-
└─statusEnd|Integer|小于 < 业务状态 (0.停用，1.正常)|否|-
└─statusList|array|业务状态 (0.停用，1.正常)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishname|String|英语业务名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flownum|String|流水编号如A、B|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|业务状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑站点业务
**URL:** http://localhost:8080/m/business/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑站点业务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishname|String|英语业务名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flownum|String|流水编号如A、B|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|业务状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新站点业务
**URL:** http://localhost:8080/m/business/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新站点业务：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─siteName|String|站点名称|是|-
└─parentId|Long|父级ID|是|-
└─ancestors|String|祖级列表，逗号分隔|是|-
└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|是|-
└─name|String|业务名称|是|-
└─remark|String|备注|是|-
└─canorder|Integer|是否允许预约（1.允许，0.不允许）|是|-
└─cantake|Integer|是否允许取号（1.允许，0.不允许）|是|-
└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|是|-
└─englishname|String|英语业务名|是|-
└─flownum|String|流水编号如A、B|是|-
└─status|Integer|业务状态 (0.停用，1.正常)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishname|String|英语业务名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flownum|String|流水编号如A、B|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|业务状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看站点业务
**URL:** http://localhost:8080/m/business/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看站点业务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishname|String|英语业务名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flownum|String|流水编号如A、B|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|业务状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBusiness|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─canorder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cantake|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datashow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除站点业务
**URL:** http://localhost:8080/m/business/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除站点业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 站点业务导入模板下载
**URL:** http://localhost:8081/m/business/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 站点业务导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/business/downloadTemplate
```

**Response-example:**
```
...
```

### 导入站点业务
**URL:** http://localhost:8081/m/business/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入站点业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/business/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 业务事项关联服务接口
### 查询业务事项关联列表
**URL:** http://localhost:8080/m/business/matter/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询业务事项关联

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─businessId|Long|业务id|否|-
└─businessName|String|业务名称|否|-
└─matterId|Long|事项id|否|-
└─matterName|String|事项名称|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─businessIdStart|Long|大于 > 业务id|否|-
└─businessIdEnd|Long|小于 < 业务id|否|-
└─businessIdList|array|业务id列表|否|-
└─businessNameList|array|业务名称列表|否|-
└─matterIdStart|Long|大于 > 事项id|否|-
└─matterIdEnd|Long|小于 < 事项id|否|-
└─matterIdList|array|事项id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/matter/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑业务事项关联
**URL:** http://localhost:8080/m/business/matter/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑业务事项关联，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/matter/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新业务事项关联
**URL:** http://localhost:8080/m/business/matter/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新业务事项关联：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─businessId|Long|业务id|是|-
└─businessName|String|业务名称|是|-
└─matterId|Long|事项id|是|-
└─matterName|String|事项名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看业务事项关联
**URL:** http://localhost:8080/m/business/matter/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看业务事项关联，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/matter/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除业务事项关联
**URL:** http://localhost:8080/m/business/matter/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除业务事项关联

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/business/matter/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 业务事项关联导入模板下载
**URL:** http://localhost:8081/m/business/matter/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 业务事项关联导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/business/matter/downloadTemplate
```

**Response-example:**
```
...
```

### 导入业务事项关联
**URL:** http://localhost:8081/m/business/matter/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入业务事项关联

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/business/matter/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 部门服务接口
### 查询部门列表
**URL:** http://localhost:8080/m/dept/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询部门

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─tid|String|从政务系统来的部门id|否|-
└─tname|String|从政务系统来的部门name|否|-
└─name|String|部门名称|否|-
└─simpleName|String|从政务系统来的别名|否|-
└─siteId|Long|站点ID|否|-
└─deptAbb|String|部门简称|否|-
└─deptTelphone|String|部门电话|否|-
└─deptNumber|String|部门编号|否|-
└─isAutotable|Integer|填单机展示 (0.否，1.是) |否|-
└─isOrder|Integer|预约展示 (0.否，1.是) |否|-
└─isBkb|Integer|背靠背展示 (0.否，1.是) |否|-
└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |否|-
└─usValid|Integer|是否使用 (0.否，1.是) |否|-
└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |否|-
└─isEnglish|Integer|是否展示英文 (0.否，1.是) |否|-
└─sort|Integer|排序|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─tidList|array|从政务系统来的部门id列表|否|-
└─tnameList|array|从政务系统来的部门name列表|否|-
└─nameList|array|部门名称列表|否|-
└─simpleNameList|array|从政务系统来的别名列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─deptAbbList|array|部门简称列表|否|-
└─deptTelphoneList|array|部门电话列表|否|-
└─deptNumberList|array|部门编号列表|否|-
└─isAutotableStart|Integer|大于 > 填单机展示 (0.否，1.是) |否|-
└─isAutotableEnd|Integer|小于 < 填单机展示 (0.否，1.是) |否|-
└─isAutotableList|array|填单机展示 (0.否，1.是) 列表|否|-
└─isOrderStart|Integer|大于 > 预约展示 (0.否，1.是) |否|-
└─isOrderEnd|Integer|小于 < 预约展示 (0.否，1.是) |否|-
└─isOrderList|array|预约展示 (0.否，1.是) 列表|否|-
└─isBkbStart|Integer|大于 > 背靠背展示 (0.否，1.是) |否|-
└─isBkbEnd|Integer|小于 < 背靠背展示 (0.否，1.是) |否|-
└─isBkbList|array|背靠背展示 (0.否，1.是) 列表|否|-
└─isWorkGuideStart|Integer|大于 > 办事指南展示 (0.否，1.是) |否|-
└─isWorkGuideEnd|Integer|小于 < 办事指南展示 (0.否，1.是) |否|-
└─isWorkGuideList|array|办事指南展示 (0.否，1.是) 列表|否|-
└─usValidStart|Integer|大于 > 是否使用 (0.否，1.是) |否|-
└─usValidEnd|Integer|小于 < 是否使用 (0.否，1.是) |否|-
└─usValidList|array|是否使用 (0.否，1.是) 列表|否|-
└─isSecphoneStart|Integer|大于 > 部门电话是否展示 (0.否，1.是) |否|-
└─isSecphoneEnd|Integer|小于 < 部门电话是否展示 (0.否，1.是) |否|-
└─isSecphoneList|array|部门电话是否展示 (0.否，1.是) 列表|否|-
└─isEnglishStart|Integer|大于 > 是否展示英文 (0.否，1.是) |否|-
└─isEnglishEnd|Integer|小于 < 是否展示英文 (0.否，1.是) |否|-
└─isEnglishList|array|是否展示英文 (0.否，1.是) 列表|否|-
└─sortStart|Integer|大于 > 排序|否|-
└─sortEnd|Integer|小于 < 排序|否|-
└─sortList|array|排序列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/dept/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的部门id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的部门name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─simpleName|String|从政务系统来的别名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptAbb|String|部门简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptTelphone|String|部门电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptNumber|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|Integer|填单机展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|Integer|预约展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|Integer|背靠背展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|Integer|是否使用 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑部门
**URL:** http://localhost:8080/m/dept/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑部门，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/dept/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的部门id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的部门name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─simpleName|String|从政务系统来的别名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptAbb|String|部门简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptTelphone|String|部门电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptNumber|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|Integer|填单机展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|Integer|预约展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|Integer|背靠背展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|Integer|是否使用 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新部门
**URL:** http://localhost:8080/m/dept/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新部门：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─tid|String|从政务系统来的部门id|是|-
└─tname|String|从政务系统来的部门name|是|-
└─name|String|部门名称|是|-
└─simpleName|String|从政务系统来的别名|是|-
└─siteId|Long|站点ID|是|-
└─deptAbb|String|部门简称|是|-
└─deptTelphone|String|部门电话|是|-
└─deptNumber|String|部门编号|是|-
└─isAutotable|Integer|填单机展示 (0.否，1.是) |是|-
└─isOrder|Integer|预约展示 (0.否，1.是) |是|-
└─isBkb|Integer|背靠背展示 (0.否，1.是) |是|-
└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |是|-
└─usValid|Integer|是否使用 (0.否，1.是) |是|-
└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |是|-
└─isEnglish|Integer|是否展示英文 (0.否，1.是) |是|-
└─sort|Integer|排序|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的部门id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的部门name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─simpleName|String|从政务系统来的别名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptAbb|String|部门简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptTelphone|String|部门电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptNumber|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|Integer|填单机展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|Integer|预约展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|Integer|背靠背展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|Integer|是否使用 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看部门
**URL:** http://localhost:8080/m/dept/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看部门，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/dept/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的部门id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的部门name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─simpleName|String|从政务系统来的别名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptAbb|String|部门简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptTelphone|String|部门电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptNumber|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|Integer|填单机展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|Integer|预约展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|Integer|背靠背展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|Integer|是否使用 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isAutotable|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOrder|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isBkb|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isWorkGuide|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─usValid|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSecphone|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除部门
**URL:** http://localhost:8080/m/dept/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除部门

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/dept/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 部门导入模板下载
**URL:** http://localhost:8081/m/dept/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 部门导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/dept/downloadTemplate
```

**Response-example:**
```
...
```

### 导入部门
**URL:** http://localhost:8081/m/dept/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入部门

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/dept/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 节假日服务接口
### 查询节假日列表
**URL:** http://localhost:8080/m/holiday/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询节假日

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─name|String|节日名称|否|-
└─summary|String|备注|否|-
└─year|Integer|年份|否|-
└─startTime|Date|开始时间|否|-
└─endTime|Date|结束时间|否|-
└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─nameList|array|节日名称列表|否|-
└─summaryList|array|备注列表|否|-
└─yearStart|Integer|大于 > 年份|否|-
└─yearEnd|Integer|小于 < 年份|否|-
└─yearList|array|年份列表|否|-
└─startTimeStart|Date|大于 > 开始时间|否|-
└─startTimeEnd|Date|小于 < 开始时间|否|-
└─endTimeStart|Date|大于 > 结束时间|否|-
└─endTimeEnd|Date|小于 < 结束时间|否|-
└─workorholidayStart|Integer|大于 > 是否工作日（0.节假日,1.工作日)|否|-
└─workorholidayEnd|Integer|小于 < 是否工作日（0.节假日,1.工作日)|否|-
└─workorholidayList|array|是否工作日（0.节假日,1.工作日)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/holiday/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|节日名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─year|Integer|年份|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startTime|Date|开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─endTime|Date|结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑节假日
**URL:** http://localhost:8080/m/holiday/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑节假日，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/holiday/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|节日名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─year|Integer|年份|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startTime|Date|开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─endTime|Date|结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新节假日
**URL:** http://localhost:8080/m/holiday/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新节假日：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─name|String|节日名称|是|-
└─summary|String|备注|是|-
└─year|Integer|年份|是|-
└─startTime|Date|开始时间|是|-
└─endTime|Date|结束时间|是|-
└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|节日名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─year|Integer|年份|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startTime|Date|开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─endTime|Date|结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看节假日
**URL:** http://localhost:8080/m/holiday/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看节假日，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/holiday/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|节日名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─year|Integer|年份|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startTime|Date|开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─endTime|Date|结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除节假日
**URL:** http://localhost:8080/m/holiday/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除节假日

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/holiday/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 节假日导入模板下载
**URL:** http://localhost:8081/m/holiday/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 节假日导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/holiday/downloadTemplate
```

**Response-example:**
```
...
```

### 导入节假日
**URL:** http://localhost:8081/m/holiday/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入节假日

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/holiday/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 基础事项服务接口
### 查询基础事项列表
**URL:** http://localhost:8080/m/matter/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询基础事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─tid|String|从政务系统来的事项id|否|-
└─tcode|String|从政务系统来的事项code|否|-
└─tname|String|从政务系统来的事项name|否|-
└─matterName|String|事项名称|否|-
└─englishName|String|英语事项名|否|-
└─matterNo|String|事项编号|否|-
└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|否|-
└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|否|-
└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|否|-
└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|否|-
└─legalTimeLimitShow|String|法定办结时限|否|-
└─legalEndExplain|String|法定时限办结说明|否|-
└─promiseTimeLimitShow|String|承诺办结时限|否|-
└─promiseEndExplain|String|承诺时限办结说明|否|-
└─isChargesShow|String|是否收费（0.否，1.是）|否|-
└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|否|-
└─planTakeTime|Date|计划生效日期|否|-
└─promiseTakeTime|Date|承诺生效日期|否|-
└─specialProcedure|String|特别程序|否|-
└─windowToTheSceneNum|Integer|窗口到现场次数|否|-
└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|否|-
└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|否|-
└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|否|-
└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|否|-
└─mustSceneExplain|String|必须到现场原因|否|-
└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|否|-
└─onlineToTheSceneNum|Integer|网办到现场次数|否|-
└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|否|-
└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|否|-
└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|否|-
└─onlineMustSceneExplain|String|网上必须到现场原因|否|-
└─performDeptType|String|实施主体|否|-
└─matterEdition|String|事项版本|否|-
└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|否|-
└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|否|-
└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|否|-
└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|否|-
└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|否|-
└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|否|-
└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|否|-
└─isOnline|Integer| 是否网办 （0.否，1.是）|否|-
└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|否|-
└─entrustmentDepartmen|String|委托部门（0.否，1.是）|否|-
└─jointInfoShow|String|联办机构|否|-
└─matterStatus|String|事项状态（0.停用，1.在用）|否|-
└─numberLimit|Long|数量限制|否|-
└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|否|-
└─baseCode|String|基本编码|否|-
└─implementCode|String|实施编码|否|-
└─implementBodyCode|String|实施主体编码|否|-
└─operateItemCode|String|办理项编码|否|-
└─townshipName|String|乡镇街道名称|否|-
└─townshipCode|String|乡镇街道代码|否|-
└─villageName|String|村居社区名称|否|-
└─villageCode|String|村居社区代码|否|-
└─operateTime|String|办理时间|否|-
└─operateSite|String|办理地点|否|-
└─cousultingShow|String|咨询方式|否|-
└─cousultingTelephoneShow|String|咨询电话|否|-
└─superviseShow|String|监督方式|否|-
└─mattertype|Integer|是否样表展示（0.否，1.是）|否|-
└─deptCode|String|部门编号|否|-
└─dirListCode|String|目录清单编码|否|-
└─runSystemShow|String|运行系统名称|否|-
└─jointReviewInfoShow|String|联审信息|否|-
└─doThingTypeShow|String|办理类型|否|-
└─pubTimeShow|String|公示时限|否|-
└─supervisoryTelephoneShow|String|投诉电话|否|-
└─handleTimeShow|String|办公时间|否|-
└─handlePlaceShow|String|办公地址|否|-
└─daysTypeShow|String|节日类型|否|-
└─tradeShow|String|行业|否|-
└─eventSourceShow|String|事项来源|否|-
└─applyresultTypeShow|String|审批结果类型|否|-
└─typeOfReview|String|审查类型|否|-
└─enforcement|String|实施机构|否|-
└─serviceClassification|String|服务主题分类|否|-
└─licenseNumber|String|许可数量|否|-
└─number|Integer|办事者到办理现场次数|否|-
└─inquire|String|办理查询|否|-
└─handlingresultNames|String|办理结果名称|否|-
└─sampleApprovalResults|String|审批结果样本|否|-
└─performDeptName|String|实施主题|否|-
└─html|String|html存储地址|否|-
└─eventType|String|全债清单类型|否|-
└─shardKey|Long||否|-
└─parson|Integer|个人1|否|-
└─lengal|Integer|法人 1|否|-
└─materialRemark|String|总材料说明|否|-
└─codeurl|String|事项二维码|否|-
└─applyObject|String|行使方式|否|-
└─isUniteAccept|String|统一受理模式|否|-
└─sort|Integer|排序|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─tidList|array|从政务系统来的事项id列表|否|-
└─tcodeList|array|从政务系统来的事项code列表|否|-
└─tnameList|array|从政务系统来的事项name列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─englishNameList|array|英语事项名列表|否|-
└─matterNoList|array|事项编号列表|否|-
└─appoveObjectShowList|array|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）列表|否|-
└─operatScopeShowList|array|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）列表|否|-
└─appoveTimeLimitShowList|array|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）列表|否|-
└─handleTypeList|array|办理形式（1.窗口办理，2.网上办理）	列表|否|-
└─legalTimeLimitShowList|array|法定办结时限列表|否|-
└─legalEndExplainList|array|法定时限办结说明列表|否|-
└─promiseTimeLimitShowList|array|承诺办结时限列表|否|-
└─promiseEndExplainList|array|承诺时限办结说明列表|否|-
└─isChargesShowList|array|是否收费（0.否，1.是）列表|否|-
└─certificationLevelsShowList|array|认证等级需求（1.实名认证，2.单次面签，3.每次面签）列表|否|-
└─planTakeTimeStart|Date|大于 > 计划生效日期|否|-
└─planTakeTimeEnd|Date|小于 < 计划生效日期|否|-
└─promiseTakeTimeStart|Date|大于 > 承诺生效日期|否|-
└─promiseTakeTimeEnd|Date|小于 < 承诺生效日期|否|-
└─specialProcedureList|array|特别程序列表|否|-
└─windowToTheSceneNumStart|Integer|大于 > 窗口到现场次数|否|-
└─windowToTheSceneNumEnd|Integer|小于 < 窗口到现场次数|否|-
└─windowToTheSceneNumList|array|窗口到现场次数列表|否|-
└─isOnlineSubscribeShowList|array|是否网上预约,窗口办理选（0.否，1.是）列表|否|-
└─isExpressTakeShowList|array|物流快递,窗口办理选（0.否，1.是）列表|否|-
└─isProvinceAcquisitionShowList|array|是否支持全省范围就近取件（0.否，1.是）列表|否|-
└─isApplyProvinceShowList|array|是否支持全省范围就近办理（0.否，1.是）列表|否|-
└─mustSceneExplainList|array|必须到现场原因列表|否|-
└─onlineTypeList|array|网办类型（1.原件预审，2.原件核验，3.全程网办）列表|否|-
└─onlineToTheSceneNumStart|Integer|大于 > 网办到现场次数|否|-
└─onlineToTheSceneNumEnd|Integer|小于 < 网办到现场次数|否|-
└─onlineToTheSceneNumList|array|网办到现场次数列表|否|-
└─onlineOperatDeepList|array|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）列表|否|-
└─isExpressTakeOnlineShowList|array|物流快递，网上办理选（0.否，1.是）列表|否|-
└─isDoorTakeShowList|array|是否支持上门收取申请（0.否，1.是）列表|否|-
└─onlineMustSceneExplainList|array|网上必须到现场原因列表|否|-
└─performDeptTypeList|array|实施主体列表|否|-
└─matterEditionList|array|事项版本列表|否|-
└─eventTypeShowList|array|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）列表|否|-
└─performHierarchyShowList|array|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）列表|否|-
└─powerSourceShowList|array|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）列表|否|-
└─performDeptTypeShowList|array|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）列表|否|-
└─goveServiceCenterShowList|array|是否进驻中心（0.否，1.是）列表|否|-
└─isConvenientCenterShowList|array|是否纳入便民服务中心（0.否，1.是）列表|否|-
└─terminalHandleStart|Integer|大于 >  自助终端办理 （0.否，1.是）|否|-
└─terminalHandleEnd|Integer|小于 <  自助终端办理 （0.否，1.是）|否|-
└─terminalHandleList|array| 自助终端办理 （0.否，1.是）列表|否|-
└─isOnlineStart|Integer|大于 >  是否网办 （0.否，1.是）|否|-
└─isOnlineEnd|Integer|小于 <  是否网办 （0.否，1.是）|否|-
└─isOnlineList|array| 是否网办 （0.否，1.是）列表|否|-
└─isOnlinePayShowList|array|支持网上支付（0.否，1.是）列表|否|-
└─entrustmentDepartmenList|array|委托部门（0.否，1.是）列表|否|-
└─jointInfoShowList|array|联办机构列表|否|-
└─matterStatusList|array|事项状态（0.停用，1.在用）列表|否|-
└─numberLimitStart|Long|大于 > 数量限制|否|-
└─numberLimitEnd|Long|小于 < 数量限制|否|-
└─numberLimitList|array|数量限制列表|否|-
└─typeList|array|主题类型（1.法定机关，2.授权组织，3.受委托组织）列表|否|-
└─baseCodeList|array|基本编码列表|否|-
└─implementCodeList|array|实施编码列表|否|-
└─implementBodyCodeList|array|实施主体编码列表|否|-
└─operateItemCodeList|array|办理项编码列表|否|-
└─townshipNameList|array|乡镇街道名称列表|否|-
└─townshipCodeList|array|乡镇街道代码列表|否|-
└─villageNameList|array|村居社区名称列表|否|-
└─villageCodeList|array|村居社区代码列表|否|-
└─operateTimeList|array|办理时间列表|否|-
└─operateSiteList|array|办理地点列表|否|-
└─cousultingShowList|array|咨询方式列表|否|-
└─cousultingTelephoneShowList|array|咨询电话列表|否|-
└─superviseShowList|array|监督方式列表|否|-
└─mattertypeStart|Integer|大于 > 是否样表展示（0.否，1.是）|否|-
└─mattertypeEnd|Integer|小于 < 是否样表展示（0.否，1.是）|否|-
└─mattertypeList|array|是否样表展示（0.否，1.是）列表|否|-
└─deptCodeList|array|部门编号列表|否|-
└─dirListCodeList|array|目录清单编码列表|否|-
└─runSystemShowList|array|运行系统名称列表|否|-
└─jointReviewInfoShowList|array|联审信息列表|否|-
└─doThingTypeShowList|array|办理类型列表|否|-
└─pubTimeShowList|array|公示时限列表|否|-
└─supervisoryTelephoneShowList|array|投诉电话列表|否|-
└─handleTimeShowList|array|办公时间列表|否|-
└─handlePlaceShowList|array|办公地址列表|否|-
└─daysTypeShowList|array|节日类型列表|否|-
└─tradeShowList|array|行业列表|否|-
└─eventSourceShowList|array|事项来源列表|否|-
└─applyresultTypeShowList|array|审批结果类型列表|否|-
└─typeOfReviewList|array|审查类型列表|否|-
└─enforcementList|array|实施机构列表|否|-
└─serviceClassificationList|array|服务主题分类列表|否|-
└─licenseNumberList|array|许可数量列表|否|-
└─numberStart|Integer|大于 > 办事者到办理现场次数|否|-
└─numberEnd|Integer|小于 < 办事者到办理现场次数|否|-
└─numberList|array|办事者到办理现场次数列表|否|-
└─inquireList|array|办理查询列表|否|-
└─handlingresultNamesList|array|办理结果名称列表|否|-
└─sampleApprovalResultsList|array|审批结果样本列表|否|-
└─performDeptNameList|array|实施主题列表|否|-
└─htmlList|array|html存储地址列表|否|-
└─eventTypeList|array|全债清单类型列表|否|-
└─shardKeyStart|Long|大于 > |否|-
└─shardKeyEnd|Long|小于 < |否|-
└─shardKeyList|array|列表|否|-
└─parsonStart|Integer|大于 > 个人1|否|-
└─parsonEnd|Integer|小于 < 个人1|否|-
└─parsonList|array|个人1列表|否|-
└─lengalStart|Integer|大于 > 法人 1|否|-
└─lengalEnd|Integer|小于 < 法人 1|否|-
└─lengalList|array|法人 1列表|否|-
└─materialRemarkList|array|总材料说明列表|否|-
└─codeurlList|array|事项二维码列表|否|-
└─applyObjectList|array|行使方式列表|否|-
└─isUniteAcceptList|array|统一受理模式列表|否|-
└─sortStart|Integer|大于 > 排序|否|-
└─sortEnd|Integer|小于 < 排序|否|-
└─sortList|array|排序列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tcode|String|从政务系统来的事项code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的事项name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语事项名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterNo|String|事项编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalTimeLimitShow|String|法定办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalEndExplain|String|法定时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTimeLimitShow|String|承诺办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseEndExplain|String|承诺时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|String|是否收费（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─planTakeTime|Date|计划生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTakeTime|Date|承诺生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─specialProcedure|String|特别程序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowToTheSceneNum|Integer|窗口到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mustSceneExplain|String|必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineToTheSceneNum|Integer|网办到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineMustSceneExplain|String|网上必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptType|String|实施主体|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterEdition|String|事项版本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|Integer| 是否网办 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|String|委托部门（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointInfoShow|String|联办机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|String|事项状态（0.停用，1.在用）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─numberLimit|Long|数量限制|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─baseCode|String|基本编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementCode|String|实施编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementBodyCode|String|实施主体编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateItemCode|String|办理项编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipName|String|乡镇街道名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipCode|String|乡镇街道代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageName|String|村居社区名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageCode|String|村居社区代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateTime|String|办理时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateSite|String|办理地点|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingShow|String|咨询方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingTelephoneShow|String|咨询电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─superviseShow|String|监督方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|Integer|是否样表展示（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptCode|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dirListCode|String|目录清单编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─runSystemShow|String|运行系统名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointReviewInfoShow|String|联审信息|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─doThingTypeShow|String|办理类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pubTimeShow|String|公示时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─supervisoryTelephoneShow|String|投诉电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleTimeShow|String|办公时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlePlaceShow|String|办公地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─daysTypeShow|String|节日类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tradeShow|String|行业|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventSourceShow|String|事项来源|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyresultTypeShow|String|审批结果类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─typeOfReview|String|审查类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─enforcement|String|实施机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─serviceClassification|String|服务主题分类|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─licenseNumber|String|许可数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|Integer|办事者到办理现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─inquire|String|办理查询|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlingresultNames|String|办理结果名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sampleApprovalResults|String|审批结果样本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptName|String|实施主题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─html|String|html存储地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventType|String|全债清单类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shardKey|Long||-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parson|Integer|个人1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lengal|Integer|法人 1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialRemark|String|总材料说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─codeurl|String|事项二维码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyObject|String|行使方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isUniteAccept|String|统一受理模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑基础事项
**URL:** http://localhost:8080/m/matter/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑基础事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tcode|String|从政务系统来的事项code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的事项name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语事项名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterNo|String|事项编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalTimeLimitShow|String|法定办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalEndExplain|String|法定时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTimeLimitShow|String|承诺办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseEndExplain|String|承诺时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|String|是否收费（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─planTakeTime|Date|计划生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTakeTime|Date|承诺生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─specialProcedure|String|特别程序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowToTheSceneNum|Integer|窗口到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mustSceneExplain|String|必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineToTheSceneNum|Integer|网办到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineMustSceneExplain|String|网上必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptType|String|实施主体|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterEdition|String|事项版本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|Integer| 是否网办 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|String|委托部门（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointInfoShow|String|联办机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|String|事项状态（0.停用，1.在用）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─numberLimit|Long|数量限制|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─baseCode|String|基本编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementCode|String|实施编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementBodyCode|String|实施主体编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateItemCode|String|办理项编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipName|String|乡镇街道名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipCode|String|乡镇街道代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageName|String|村居社区名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageCode|String|村居社区代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateTime|String|办理时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateSite|String|办理地点|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingShow|String|咨询方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingTelephoneShow|String|咨询电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─superviseShow|String|监督方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|Integer|是否样表展示（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptCode|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dirListCode|String|目录清单编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─runSystemShow|String|运行系统名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointReviewInfoShow|String|联审信息|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─doThingTypeShow|String|办理类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pubTimeShow|String|公示时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─supervisoryTelephoneShow|String|投诉电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleTimeShow|String|办公时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlePlaceShow|String|办公地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─daysTypeShow|String|节日类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tradeShow|String|行业|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventSourceShow|String|事项来源|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyresultTypeShow|String|审批结果类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─typeOfReview|String|审查类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─enforcement|String|实施机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─serviceClassification|String|服务主题分类|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─licenseNumber|String|许可数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|Integer|办事者到办理现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─inquire|String|办理查询|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlingresultNames|String|办理结果名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sampleApprovalResults|String|审批结果样本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptName|String|实施主题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─html|String|html存储地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventType|String|全债清单类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shardKey|Long||-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parson|Integer|个人1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lengal|Integer|法人 1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialRemark|String|总材料说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─codeurl|String|事项二维码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyObject|String|行使方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isUniteAccept|String|统一受理模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新基础事项
**URL:** http://localhost:8080/m/matter/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新基础事项：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─tid|String|从政务系统来的事项id|是|-
└─tcode|String|从政务系统来的事项code|是|-
└─tname|String|从政务系统来的事项name|是|-
└─matterName|String|事项名称|是|-
└─englishName|String|英语事项名|是|-
└─matterNo|String|事项编号|是|-
└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|是|-
└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|是|-
└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|是|-
└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|是|-
└─legalTimeLimitShow|String|法定办结时限|是|-
└─legalEndExplain|String|法定时限办结说明|是|-
└─promiseTimeLimitShow|String|承诺办结时限|是|-
└─promiseEndExplain|String|承诺时限办结说明|是|-
└─isChargesShow|String|是否收费（0.否，1.是）|是|-
└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|是|-
└─planTakeTime|Date|计划生效日期|是|-
└─promiseTakeTime|Date|承诺生效日期|是|-
└─specialProcedure|String|特别程序|是|-
└─windowToTheSceneNum|Integer|窗口到现场次数|是|-
└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|是|-
└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|是|-
└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|是|-
└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|是|-
└─mustSceneExplain|String|必须到现场原因|是|-
└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|是|-
└─onlineToTheSceneNum|Integer|网办到现场次数|是|-
└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|是|-
└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|是|-
└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|是|-
└─onlineMustSceneExplain|String|网上必须到现场原因|是|-
└─performDeptType|String|实施主体|是|-
└─matterEdition|String|事项版本|是|-
└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|是|-
└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|是|-
└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|是|-
└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|是|-
└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|是|-
└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|是|-
└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|是|-
└─isOnline|Integer| 是否网办 （0.否，1.是）|是|-
└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|是|-
└─entrustmentDepartmen|String|委托部门（0.否，1.是）|是|-
└─jointInfoShow|String|联办机构|是|-
└─matterStatus|String|事项状态（0.停用，1.在用）|是|-
└─numberLimit|Long|数量限制|是|-
└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|是|-
└─baseCode|String|基本编码|是|-
└─implementCode|String|实施编码|是|-
└─implementBodyCode|String|实施主体编码|是|-
└─operateItemCode|String|办理项编码|是|-
└─townshipName|String|乡镇街道名称|是|-
└─townshipCode|String|乡镇街道代码|是|-
└─villageName|String|村居社区名称|是|-
└─villageCode|String|村居社区代码|是|-
└─operateTime|String|办理时间|是|-
└─operateSite|String|办理地点|是|-
└─cousultingShow|String|咨询方式|是|-
└─cousultingTelephoneShow|String|咨询电话|是|-
└─superviseShow|String|监督方式|是|-
└─mattertype|Integer|是否样表展示（0.否，1.是）|是|-
└─deptCode|String|部门编号|是|-
└─dirListCode|String|目录清单编码|是|-
└─runSystemShow|String|运行系统名称|是|-
└─jointReviewInfoShow|String|联审信息|是|-
└─doThingTypeShow|String|办理类型|是|-
└─pubTimeShow|String|公示时限|是|-
└─supervisoryTelephoneShow|String|投诉电话|是|-
└─handleTimeShow|String|办公时间|是|-
└─handlePlaceShow|String|办公地址|是|-
└─daysTypeShow|String|节日类型|是|-
└─tradeShow|String|行业|是|-
└─eventSourceShow|String|事项来源|是|-
└─applyresultTypeShow|String|审批结果类型|是|-
└─typeOfReview|String|审查类型|是|-
└─enforcement|String|实施机构|是|-
└─serviceClassification|String|服务主题分类|是|-
└─licenseNumber|String|许可数量|是|-
└─number|Integer|办事者到办理现场次数|是|-
└─inquire|String|办理查询|是|-
└─handlingresultNames|String|办理结果名称|是|-
└─sampleApprovalResults|String|审批结果样本|是|-
└─performDeptName|String|实施主题|是|-
└─html|String|html存储地址|是|-
└─eventType|String|全债清单类型|是|-
└─shardKey|Long||是|-
└─parson|Integer|个人1|是|-
└─lengal|Integer|法人 1|是|-
└─materialRemark|String|总材料说明|是|-
└─codeurl|String|事项二维码|是|-
└─applyObject|String|行使方式|是|-
└─isUniteAccept|String|统一受理模式|是|-
└─sort|Integer|排序|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tcode|String|从政务系统来的事项code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的事项name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语事项名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterNo|String|事项编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalTimeLimitShow|String|法定办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalEndExplain|String|法定时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTimeLimitShow|String|承诺办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseEndExplain|String|承诺时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|String|是否收费（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─planTakeTime|Date|计划生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTakeTime|Date|承诺生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─specialProcedure|String|特别程序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowToTheSceneNum|Integer|窗口到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mustSceneExplain|String|必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineToTheSceneNum|Integer|网办到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineMustSceneExplain|String|网上必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptType|String|实施主体|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterEdition|String|事项版本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|Integer| 是否网办 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|String|委托部门（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointInfoShow|String|联办机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|String|事项状态（0.停用，1.在用）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─numberLimit|Long|数量限制|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─baseCode|String|基本编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementCode|String|实施编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementBodyCode|String|实施主体编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateItemCode|String|办理项编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipName|String|乡镇街道名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipCode|String|乡镇街道代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageName|String|村居社区名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageCode|String|村居社区代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateTime|String|办理时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateSite|String|办理地点|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingShow|String|咨询方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingTelephoneShow|String|咨询电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─superviseShow|String|监督方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|Integer|是否样表展示（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptCode|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dirListCode|String|目录清单编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─runSystemShow|String|运行系统名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointReviewInfoShow|String|联审信息|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─doThingTypeShow|String|办理类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pubTimeShow|String|公示时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─supervisoryTelephoneShow|String|投诉电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleTimeShow|String|办公时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlePlaceShow|String|办公地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─daysTypeShow|String|节日类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tradeShow|String|行业|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventSourceShow|String|事项来源|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyresultTypeShow|String|审批结果类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─typeOfReview|String|审查类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─enforcement|String|实施机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─serviceClassification|String|服务主题分类|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─licenseNumber|String|许可数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|Integer|办事者到办理现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─inquire|String|办理查询|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlingresultNames|String|办理结果名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sampleApprovalResults|String|审批结果样本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptName|String|实施主题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─html|String|html存储地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventType|String|全债清单类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shardKey|Long||-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parson|Integer|个人1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lengal|Integer|法人 1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialRemark|String|总材料说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─codeurl|String|事项二维码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyObject|String|行使方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isUniteAccept|String|统一受理模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看基础事项
**URL:** http://localhost:8080/m/matter/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看基础事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tid|String|从政务系统来的事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tcode|String|从政务系统来的事项code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tname|String|从政务系统来的事项name|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─englishName|String|英语事项名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterNo|String|事项编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|String|办理形式（1.窗口办理，2.网上办理）	|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalTimeLimitShow|String|法定办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─legalEndExplain|String|法定时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTimeLimitShow|String|承诺办结时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseEndExplain|String|承诺时限办结说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|String|是否收费（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─planTakeTime|Date|计划生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promiseTakeTime|Date|承诺生效日期|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─specialProcedure|String|特别程序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowToTheSceneNum|Integer|窗口到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mustSceneExplain|String|必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineToTheSceneNum|Integer|网办到现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineMustSceneExplain|String|网上必须到现场原因|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptType|String|实施主体|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterEdition|String|事项版本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|String|是否进驻中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|Integer| 自助终端办理 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|Integer| 是否网办 （0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|String|支持网上支付（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|String|委托部门（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointInfoShow|String|联办机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|String|事项状态（0.停用，1.在用）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─numberLimit|Long|数量限制|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─baseCode|String|基本编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementCode|String|实施编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─implementBodyCode|String|实施主体编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateItemCode|String|办理项编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipName|String|乡镇街道名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─townshipCode|String|乡镇街道代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageName|String|村居社区名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─villageCode|String|村居社区代码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateTime|String|办理时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operateSite|String|办理地点|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingShow|String|咨询方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cousultingTelephoneShow|String|咨询电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─superviseShow|String|监督方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|Integer|是否样表展示（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptCode|String|部门编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dirListCode|String|目录清单编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─runSystemShow|String|运行系统名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jointReviewInfoShow|String|联审信息|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─doThingTypeShow|String|办理类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pubTimeShow|String|公示时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─supervisoryTelephoneShow|String|投诉电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleTimeShow|String|办公时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlePlaceShow|String|办公地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─daysTypeShow|String|节日类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─tradeShow|String|行业|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventSourceShow|String|事项来源|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyresultTypeShow|String|审批结果类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─typeOfReview|String|审查类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─enforcement|String|实施机构|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─serviceClassification|String|服务主题分类|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─licenseNumber|String|许可数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|Integer|办事者到办理现场次数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─inquire|String|办理查询|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handlingresultNames|String|办理结果名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sampleApprovalResults|String|审批结果样本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptName|String|实施主题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─html|String|html存储地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventType|String|全债清单类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shardKey|Long||-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parson|Integer|个人1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lengal|Integer|法人 1|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialRemark|String|总材料说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─codeurl|String|事项二维码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─applyObject|String|行使方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isUniteAccept|String|统一受理模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveObjectShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─operatScopeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─appoveTimeLimitShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─handleType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isChargesShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─certificationLevelsShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isApplyProvinceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineOperatDeep|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isDoorTakeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─eventTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performHierarchyShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─powerSourceShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─performDeptTypeShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─goveServiceCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isConvenientCenterShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─terminalHandle|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnline|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isOnlinePayShow|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─entrustmentDepartmen|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mattertype|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除基础事项
**URL:** http://localhost:8080/m/matter/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除基础事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 基础事项导入模板下载
**URL:** http://localhost:8081/m/matter/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 基础事项导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/downloadTemplate
```

**Response-example:**
```
...
```

### 导入基础事项
**URL:** http://localhost:8081/m/matter/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入基础事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项受理条件服务接口
### 查询事项受理条件列表
**URL:** http://localhost:8080/m/matter/accept/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项受理条件

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|基础事项表id|否|-
└─matterName|String|事项名称|否|-
└─content|String|受理条件|否|-
└─source|Integer|事项来源 (0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 基础事项表id|否|-
└─matterIdEnd|Long|小于 < 基础事项表id|否|-
└─matterIdList|array|基础事项表id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─contentList|array|受理条件列表|否|-
└─sourceStart|Integer|大于 > 事项来源 (0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源 (0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源 (0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/accept/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|基础事项表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项受理条件
**URL:** http://localhost:8080/m/matter/accept/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项受理条件，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/accept/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|基础事项表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项受理条件
**URL:** http://localhost:8080/m/matter/accept/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项受理条件：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|基础事项表id|是|-
└─matterName|String|事项名称|是|-
└─content|String|受理条件|是|-
└─source|Integer|事项来源 (0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|基础事项表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项受理条件
**URL:** http://localhost:8080/m/matter/accept/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项受理条件，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/accept/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|基础事项表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项受理条件
**URL:** http://localhost:8080/m/matter/accept/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项受理条件

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/accept/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项受理条件导入模板下载
**URL:** http://localhost:8081/m/matter/accept/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项受理条件导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/accept/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项受理条件
**URL:** http://localhost:8081/m/matter/accept/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项受理条件

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/accept/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项收费标准服务接口
### 查询事项收费标准列表
**URL:** http://localhost:8080/m/matter/charges/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项收费标准

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项基础表matter id|否|-
└─matterName|String|事项名称|否|-
└─content|String|收费标准|否|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项基础表matter id|否|-
└─matterIdEnd|Long|小于 < 事项基础表matter id|否|-
└─matterIdList|array|事项基础表matter id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─contentList|array|收费标准列表|否|-
└─sourceStart|Integer|大于 > 事项来源，(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源，(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源，(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/charges/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|收费标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项收费标准
**URL:** http://localhost:8080/m/matter/charges/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项收费标准，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/charges/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|收费标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项收费标准
**URL:** http://localhost:8080/m/matter/charges/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项收费标准：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项基础表matter id|是|-
└─matterName|String|事项名称|是|-
└─content|String|收费标准|是|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|收费标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项收费标准
**URL:** http://localhost:8080/m/matter/charges/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项收费标准，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/charges/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|收费标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项收费标准
**URL:** http://localhost:8080/m/matter/charges/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项收费标准

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/charges/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项收费标准导入模板下载
**URL:** http://localhost:8081/m/matter/charges/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项收费标准导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/charges/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项收费标准
**URL:** http://localhost:8081/m/matter/charges/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项收费标准

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/charges/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项申请材料服务接口
### 查询事项申请材料列表
**URL:** http://localhost:8080/m/matter/datum/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项申请材料

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项基础表matter id|否|-
└─materialName|String|材料名|否|-
└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|否|-
└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|否|-
└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|否|-
└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|否|-
└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|否|-
└─paperNum|Integer|纸质材料份数|否|-
└─paperGg|String|纸质材料规格|否|-
└─jianmMs|String|减免模式（1.无，2.减，3.免）|否|-
└─sealWay|String|盖章方式|否|-
└─isjianm|String|是否减免（0.否，1.是）|否|-
└─isLack|String|材料是否容缺（1.必要，2.非必要）|否|-
└─ybUrl|String|材料地址|否|-
└─materialSourceSm|String|来源渠道说明|否|-
└─remarkSub|String|填报须知|否|-
└─clauseContent|String|要求提供材料的依据|否|-
└─summary|String|受理标准|否|-
└─remark|String|备注|否|-
└─source|Integer|事项来源(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项基础表matter id|否|-
└─matterIdEnd|Long|小于 < 事项基础表matter id|否|-
└─matterIdList|array|事项基础表matter id列表|否|-
└─materialNameList|array|材料名列表|否|-
└─isMustList|array|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）列表|否|-
└─materialTypeList|array|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)列表|否|-
└─materialPropertyList|array|材料形式（1.纸质，2.电子，3.纸质|电子）列表|否|-
└─electronicgsList|array|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）列表|否|-
└─materialSourceList|array|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）列表|否|-
└─paperNumStart|Integer|大于 > 纸质材料份数|否|-
└─paperNumEnd|Integer|小于 < 纸质材料份数|否|-
└─paperNumList|array|纸质材料份数列表|否|-
└─paperGgList|array|纸质材料规格列表|否|-
└─jianmMsList|array|减免模式（1.无，2.减，3.免）列表|否|-
└─sealWayList|array|盖章方式列表|否|-
└─isjianmList|array|是否减免（0.否，1.是）列表|否|-
└─isLackList|array|材料是否容缺（1.必要，2.非必要）列表|否|-
└─ybUrlList|array|材料地址列表|否|-
└─materialSourceSmList|array|来源渠道说明列表|否|-
└─remarkSubList|array|填报须知列表|否|-
└─clauseContentList|array|要求提供材料的依据列表|否|-
└─summaryList|array|受理标准列表|否|-
└─remarkList|array|备注列表|否|-
└─sourceStart|Integer|大于 > 事项来源(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|String|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|Integer|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|String|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|String|减免模式（1.无，2.减，3.免）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|String|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|String|是否减免（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|String|材料是否容缺（1.必要，2.非必要）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ybUrl|String|材料地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|String|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|String|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|String|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项申请材料
**URL:** http://localhost:8080/m/matter/datum/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项申请材料，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|String|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|Integer|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|String|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|String|减免模式（1.无，2.减，3.免）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|String|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|String|是否减免（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|String|材料是否容缺（1.必要，2.非必要）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ybUrl|String|材料地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|String|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|String|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|String|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项申请材料
**URL:** http://localhost:8080/m/matter/datum/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项基础表matter id|是|-
└─materialName|String|材料名|是|-
└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|是|-
└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|是|-
└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|是|-
└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|是|-
└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|是|-
└─paperNum|Integer|纸质材料份数|是|-
└─paperGg|String|纸质材料规格|是|-
└─jianmMs|String|减免模式（1.无，2.减，3.免）|是|-
└─sealWay|String|盖章方式|是|-
└─isjianm|String|是否减免（0.否，1.是）|是|-
└─isLack|String|材料是否容缺（1.必要，2.非必要）|是|-
└─ybUrl|String|材料地址|是|-
└─materialSourceSm|String|来源渠道说明|是|-
└─remarkSub|String|填报须知|是|-
└─clauseContent|String|要求提供材料的依据|是|-
└─summary|String|受理标准|是|-
└─remark|String|备注|是|-
└─source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|String|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|Integer|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|String|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|String|减免模式（1.无，2.减，3.免）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|String|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|String|是否减免（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|String|材料是否容缺（1.必要，2.非必要）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ybUrl|String|材料地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|String|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|String|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|String|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项申请材料
**URL:** http://localhost:8080/m/matter/datum/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项申请材料，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|String|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|Integer|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|String|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|String|减免模式（1.无，2.减，3.免）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|String|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|String|是否减免（0.否，1.是）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|String|材料是否容缺（1.必要，2.非必要）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ybUrl|String|材料地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|String|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|String|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|String|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项申请材料
**URL:** http://localhost:8080/m/matter/datum/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项申请材料

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项申请材料导入模板下载
**URL:** http://localhost:8081/m/matter/datum/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项申请材料导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/datum/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项申请材料
**URL:** http://localhost:8081/m/matter/datum/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项申请材料

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/datum/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 材料附件服务接口
### 查询材料附件列表
**URL:** http://localhost:8080/m/matter/datum/file/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询材料附件

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─datumId|Long|材料id|否|-
└─fileName|String|附件名称|否|-
└─fileUrl|String|附件下载地址|否|-
└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|否|-
└─source|Integer|附件来源 (0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─datumIdStart|Long|大于 > 材料id|否|-
└─datumIdEnd|Long|小于 < 材料id|否|-
└─datumIdList|array|材料id列表|否|-
└─fileNameList|array|附件名称列表|否|-
└─fileUrlList|array|附件下载地址列表|否|-
└─filetypeStart|Integer|大于 > 附件类型 (1.示例样表，2.空白表格)|否|-
└─filetypeEnd|Integer|小于 < 附件类型 (1.示例样表，2.空白表格)|否|-
└─filetypeList|array|附件类型 (1.示例样表，2.空白表格)列表|否|-
└─sourceStart|Integer|大于 > 附件来源 (0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 附件来源 (0.政务网，1.自定义)|否|-
└─sourceList|array|附件来源 (0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/file/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumId|Long|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|String|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|String|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|附件来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑材料附件
**URL:** http://localhost:8080/m/matter/datum/file/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑材料附件，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/file/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumId|Long|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|String|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|String|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|附件来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新材料附件
**URL:** http://localhost:8080/m/matter/datum/file/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新材料附件：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─datumId|Long|材料id|是|-
└─fileName|String|附件名称|是|-
└─fileUrl|String|附件下载地址|是|-
└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|是|-
└─source|Integer|附件来源 (0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumId|Long|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|String|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|String|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|附件来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看材料附件
**URL:** http://localhost:8080/m/matter/datum/file/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看材料附件，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/file/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumId|Long|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|String|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|String|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|附件来源 (0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除材料附件
**URL:** http://localhost:8080/m/matter/datum/file/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除材料附件

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/datum/file/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 材料附件导入模板下载
**URL:** http://localhost:8081/m/matter/datum/file/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 材料附件导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/datum/file/downloadTemplate
```

**Response-example:**
```
...
```

### 导入材料附件
**URL:** http://localhost:8081/m/matter/datum/file/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入材料附件

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/datum/file/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项办理流程服务接口
### 查询事项办理流程列表
**URL:** http://localhost:8080/m/matter/flowlimit/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项办理流程

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项基础表id|否|-
└─matterName|String|事项名称|否|-
└─flowName|String|办理流程|否|-
└─flowTime|String|办理时长|否|-
└─flowLimit|String|转外时限|否|-
└─flowDesc|String|办理流程说明|否|-
└─source|Integer|事项来源(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项基础表id|否|-
└─matterIdEnd|Long|小于 < 事项基础表id|否|-
└─matterIdList|array|事项基础表id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─flowNameList|array|办理流程列表|否|-
└─flowTimeList|array|办理时长列表|否|-
└─flowLimitList|array|转外时限列表|否|-
└─flowDescList|array|办理流程说明列表|否|-
└─sourceStart|Integer|大于 > 事项来源(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/flowlimit/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|String|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|String|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowLimit|String|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|String|办理流程说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项办理流程
**URL:** http://localhost:8080/m/matter/flowlimit/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项办理流程，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/flowlimit/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|String|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|String|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowLimit|String|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|String|办理流程说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项办理流程
**URL:** http://localhost:8080/m/matter/flowlimit/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项办理流程：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项基础表id|是|-
└─matterName|String|事项名称|是|-
└─flowName|String|办理流程|是|-
└─flowTime|String|办理时长|是|-
└─flowLimit|String|转外时限|是|-
└─flowDesc|String|办理流程说明|是|-
└─source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|String|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|String|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowLimit|String|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|String|办理流程说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项办理流程
**URL:** http://localhost:8080/m/matter/flowlimit/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项办理流程，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/flowlimit/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|String|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|String|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowLimit|String|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|String|办理流程说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项办理流程
**URL:** http://localhost:8080/m/matter/flowlimit/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项办理流程

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/flowlimit/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项办理流程导入模板下载
**URL:** http://localhost:8081/m/matter/flowlimit/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项办理流程导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/flowlimit/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项办理流程
**URL:** http://localhost:8081/m/matter/flowlimit/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项办理流程

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/flowlimit/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项中介服务服务接口
### 查询事项中介服务列表
**URL:** http://localhost:8080/m/matter/intermediary/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项中介服务

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项matter id|否|-
└─matterName|String|事项名称|否|-
└─title|String|中介服务事项名称|否|-
└─intermediaryRequest|String|中介服务实施机构及资质资格要求|否|-
└─intermediaryRequestTime|String|服务时限|否|-
└─remark|String|备注|否|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项matter id|否|-
└─matterIdEnd|Long|小于 < 事项matter id|否|-
└─matterIdList|array|事项matter id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─titleList|array|中介服务事项名称列表|否|-
└─intermediaryRequestList|array|中介服务实施机构及资质资格要求列表|否|-
└─intermediaryRequestTimeList|array|服务时限列表|否|-
└─remarkList|array|备注列表|否|-
└─sourceStart|Integer|大于 > 事项来源，(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源，(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源，(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/intermediary/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|String|中介服务事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequestTime|String|服务时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项中介服务
**URL:** http://localhost:8080/m/matter/intermediary/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项中介服务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/intermediary/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|String|中介服务事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequestTime|String|服务时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项中介服务
**URL:** http://localhost:8080/m/matter/intermediary/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项中介服务：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项matter id|是|-
└─matterName|String|事项名称|是|-
└─title|String|中介服务事项名称|是|-
└─intermediaryRequest|String|中介服务实施机构及资质资格要求|是|-
└─intermediaryRequestTime|String|服务时限|是|-
└─remark|String|备注|是|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|String|中介服务事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequestTime|String|服务时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项中介服务
**URL:** http://localhost:8080/m/matter/intermediary/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项中介服务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/intermediary/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|String|中介服务事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─intermediaryRequestTime|String|服务时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项中介服务
**URL:** http://localhost:8080/m/matter/intermediary/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项中介服务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/intermediary/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项中介服务导入模板下载
**URL:** http://localhost:8081/m/matter/intermediary/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项中介服务导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/intermediary/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项中介服务
**URL:** http://localhost:8081/m/matter/intermediary/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项中介服务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/intermediary/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项常见问题服务接口
### 查询事项常见问题列表
**URL:** http://localhost:8080/m/matter/question/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项常见问题

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项基础表matter id|否|-
└─matterName|String|事项名称|否|-
└─question|String|问题|否|-
└─answer|String|常见问题|否|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项基础表matter id|否|-
└─matterIdEnd|Long|小于 < 事项基础表matter id|否|-
└─matterIdList|array|事项基础表matter id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─questionList|array|问题列表|否|-
└─answerList|array|常见问题列表|否|-
└─sourceStart|Integer|大于 > 事项来源，(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源，(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源，(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/question/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|String|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|String|常见问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项常见问题
**URL:** http://localhost:8080/m/matter/question/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项常见问题，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/question/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|String|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|String|常见问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项常见问题
**URL:** http://localhost:8080/m/matter/question/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项常见问题：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项基础表matter id|是|-
└─matterName|String|事项名称|是|-
└─question|String|问题|是|-
└─answer|String|常见问题|是|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|String|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|String|常见问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项常见问题
**URL:** http://localhost:8080/m/matter/question/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项常见问题，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/question/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项基础表matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|String|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|String|常见问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项常见问题
**URL:** http://localhost:8080/m/matter/question/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项常见问题

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/question/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项常见问题导入模板下载
**URL:** http://localhost:8081/m/matter/question/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项常见问题导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/question/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项常见问题
**URL:** http://localhost:8081/m/matter/question/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项常见问题

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/question/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 事项设定依据服务接口
### 查询事项设定依据列表
**URL:** http://localhost:8080/m/matter/setbase/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询事项设定依据

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键，自增长|否|-
└─matterId|Long|事项matter id|否|-
└─matterName|String|事项名称|否|-
└─policyName|String|法规标题|否|-
└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|否|-
└─policyitem|String|条例|否|-
└─content|String|条款内容|否|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 主键，自增长|否|-
└─idEnd|Long|小于 < 主键，自增长|否|-
└─idList|array|主键，自增长列表|否|-
└─matterIdStart|Long|大于 > 事项matter id|否|-
└─matterIdEnd|Long|小于 < 事项matter id|否|-
└─matterIdList|array|事项matter id列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─policyNameList|array|法规标题列表|否|-
└─policyTypeList|array|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)列表|否|-
└─policyitemList|array|条例列表|否|-
└─contentList|array|条款内容列表|否|-
└─sourceStart|Integer|大于 > 事项来源，(0.政务网，1.自定义)|否|-
└─sourceEnd|Integer|小于 < 事项来源，(0.政务网，1.自定义)|否|-
└─sourceList|array|事项来源，(0.政务网，1.自定义)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/setbase/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyName|String|法规标题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyitem|String|条例|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|条款内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑事项设定依据
**URL:** http://localhost:8080/m/matter/setbase/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑事项设定依据，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/setbase/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyName|String|法规标题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyitem|String|条例|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|条款内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新事项设定依据
**URL:** http://localhost:8080/m/matter/setbase/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新事项设定依据：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─matterId|Long|事项matter id|是|-
└─matterName|String|事项名称|是|-
└─policyName|String|法规标题|是|-
└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|是|-
└─policyitem|String|条例|是|-
└─content|String|条款内容|是|-
└─source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyName|String|法规标题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyitem|String|条例|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|条款内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看事项设定依据
**URL:** http://localhost:8080/m/matter/setbase/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看事项设定依据，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/setbase/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyName|String|法规标题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyitem|String|条例|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|条款内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|事项来源，(0.政务网，1.自定义)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─policyType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除事项设定依据
**URL:** http://localhost:8080/m/matter/setbase/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除事项设定依据

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/matter/setbase/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 事项设定依据导入模板下载
**URL:** http://localhost:8081/m/matter/setbase/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 事项设定依据导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/matter/setbase/downloadTemplate
```

**Response-example:**
```
...
```

### 导入事项设定依据
**URL:** http://localhost:8081/m/matter/setbase/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入事项设定依据

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/matter/setbase/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 模块服务接口
### 查询模块列表
**URL:** http://localhost:8080/m/model/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─modelName|String|系统模块名称|否|-
└─sort|Integer|排序|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─modelNameList|array|系统模块名称列表|否|-
└─sortStart|Integer|大于 > 排序|否|-
└─sortEnd|Integer|小于 < 排序|否|-
└─sortList|array|排序列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/model/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑模块
**URL:** http://localhost:8080/m/model/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑模块，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/model/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新模块
**URL:** http://localhost:8080/m/model/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新模块：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─modelName|String|系统模块名称|是|-
└─sort|Integer|排序|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看模块
**URL:** http://localhost:8080/m/model/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看模块，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/model/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sort|Integer|排序|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除模块
**URL:** http://localhost:8080/m/model/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/model/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 模块导入模板下载
**URL:** http://localhost:8081/m/model/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 模块导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/model/downloadTemplate
```

**Response-example:**
```
...
```

### 导入模块
**URL:** http://localhost:8081/m/model/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/model/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 站点事项服务接口
### 查询站点事项列表
**URL:** http://localhost:8080/m/site/matter/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询站点事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─siteName|String|站点名称|否|-
└─matterId|Long|事项ID|否|-
└─matterName|String|系统模块名称|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─matterIdStart|Long|大于 > 事项ID|否|-
└─matterIdEnd|Long|小于 < 事项ID|否|-
└─matterIdList|array|事项ID列表|否|-
└─matterNameList|array|系统模块名称列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/matter/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑站点事项
**URL:** http://localhost:8080/m/site/matter/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑站点事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/matter/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新站点事项
**URL:** http://localhost:8080/m/site/matter/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新站点事项：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─siteName|String|站点名称|是|-
└─matterId|Long|事项ID|是|-
└─matterName|String|系统模块名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看站点事项
**URL:** http://localhost:8080/m/site/matter/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看站点事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/matter/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除站点事项
**URL:** http://localhost:8080/m/site/matter/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除站点事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/matter/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 站点事项导入模板下载
**URL:** http://localhost:8081/m/site/matter/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 站点事项导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/site/matter/downloadTemplate
```

**Response-example:**
```
...
```

### 导入站点事项
**URL:** http://localhost:8081/m/site/matter/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入站点事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/site/matter/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 站点模块服务接口
### 查询站点模块列表
**URL:** http://localhost:8080/m/site/model/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询站点模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteId|Long|站点ID|否|-
└─siteName|String|站点名称|否|-
└─modelId|Long|系统模块ID|否|-
└─modelName|String|系统模块名称|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─modelIdStart|Long|大于 > 系统模块ID|否|-
└─modelIdEnd|Long|小于 < 系统模块ID|否|-
└─modelIdList|array|系统模块ID列表|否|-
└─modelNameList|array|系统模块名称列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/model/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelId|Long|系统模块ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑站点模块
**URL:** http://localhost:8080/m/site/model/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑站点模块，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/model/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelId|Long|系统模块ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新站点模块
**URL:** http://localhost:8080/m/site/model/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新站点模块：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteId|Long|站点ID|是|-
└─siteName|String|站点名称|是|-
└─modelId|Long|系统模块ID|是|-
└─modelName|String|系统模块名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelId|Long|系统模块ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看站点模块
**URL:** http://localhost:8080/m/site/model/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看站点模块，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/model/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelId|Long|系统模块ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─modelName|String|系统模块名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除站点模块
**URL:** http://localhost:8080/m/site/model/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除站点模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/model/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 站点模块导入模板下载
**URL:** http://localhost:8081/m/site/model/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 站点模块导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/site/model/downloadTemplate
```

**Response-example:**
```
...
```

### 导入站点模块
**URL:** http://localhost:8081/m/site/model/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入站点模块

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/site/model/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 短信设置服务接口
### 查询短信设置列表
**URL:** http://localhost:8080/m/sms/set/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询短信设置

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─sign|String|短信签名|否|-
└─lastnum|Long|剩余短信条数|否|-
└─username|String|用户名|否|-
└─messageoff|Integer|短信开关 (1.开,0.关)|否|-
└─siteId|Long|站点id|否|-
└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─siteName|String|站点名称|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─signList|array|短信签名列表|否|-
└─lastnumStart|Long|大于 > 剩余短信条数|否|-
└─lastnumEnd|Long|小于 < 剩余短信条数|否|-
└─lastnumList|array|剩余短信条数列表|否|-
└─usernameList|array|用户名列表|否|-
└─messageoffStart|Integer|大于 > 短信开关 (1.开,0.关)|否|-
└─messageoffEnd|Integer|小于 < 短信开关 (1.开,0.关)|否|-
└─messageoffList|array|短信开关 (1.开,0.关)列表|否|-
└─siteIdStart|Long|大于 > 站点id|否|-
└─siteIdEnd|Long|小于 < 站点id|否|-
└─siteIdList|array|站点id列表|否|-
└─smsplatformStart|Integer|大于 > 短信平台 (1.容联,2.阿里云,3.移动)|否|-
└─smsplatformEnd|Integer|小于 < 短信平台 (1.容联,2.阿里云,3.移动)|否|-
└─smsplatformList|array|短信平台 (1.容联,2.阿里云,3.移动)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-
└─siteNameList|array|站点名称列表|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/set/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sign|String|短信签名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastnum|Long|剩余短信条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─username|String|用户名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|Integer|短信开关 (1.开,0.关)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑短信设置
**URL:** http://localhost:8080/m/sms/set/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑短信设置，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/set/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sign|String|短信签名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastnum|Long|剩余短信条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─username|String|用户名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|Integer|短信开关 (1.开,0.关)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新短信设置
**URL:** http://localhost:8080/m/sms/set/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新短信设置：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─sign|String|短信签名|是|-
└─lastnum|Long|剩余短信条数|是|-
└─username|String|用户名|是|-
└─messageoff|Integer|短信开关 (1.开,0.关)|是|-
└─siteId|Long|站点id|是|-
└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|是|-
└─siteName|String|站点名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sign|String|短信签名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastnum|Long|剩余短信条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─username|String|用户名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|Integer|短信开关 (1.开,0.关)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看短信设置
**URL:** http://localhost:8080/m/sms/set/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看短信设置，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/set/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sign|String|短信签名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastnum|Long|剩余短信条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─username|String|用户名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|Integer|短信开关 (1.开,0.关)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─messageoff|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─smsplatform|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除短信设置
**URL:** http://localhost:8080/m/sms/set/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除短信设置

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/set/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 短信设置导入模板下载
**URL:** http://localhost:8081/m/sms/set/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 短信设置导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/sms/set/downloadTemplate
```

**Response-example:**
```
...
```

### 导入短信设置
**URL:** http://localhost:8081/m/sms/set/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入短信设置

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/sms/set/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 短信模板服务接口
### 查询短信模板列表
**URL:** http://localhost:8080/m/sms/template/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询短信模板

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteid|Long|站点ID|否|-
└─code|String|模板code|否|-
└─summary|String|备注|否|-
└─content|String|内容|否|-
└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|否|-
└─source|Integer|系统来源(1.排号系统,2.取件系统）|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─siteName|String|站点名称|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteidStart|Long|大于 > 站点ID|否|-
└─siteidEnd|Long|小于 < 站点ID|否|-
└─siteidList|array|站点ID列表|否|-
└─codeList|array|模板code列表|否|-
└─summaryList|array|备注列表|否|-
└─contentList|array|内容列表|否|-
└─typeStart|Integer|大于 > 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|否|-
└─typeEnd|Integer|小于 < 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|否|-
└─typeList|array|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)列表|否|-
└─sourceStart|Integer|大于 > 系统来源(1.排号系统,2.取件系统）|否|-
└─sourceEnd|Integer|小于 < 系统来源(1.排号系统,2.取件系统）|否|-
└─sourceList|array|系统来源(1.排号系统,2.取件系统）列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-
└─siteNameList|array|站点名称列表|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/template/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteid|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─code|String|模板code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|系统来源(1.排号系统,2.取件系统）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑短信模板
**URL:** http://localhost:8080/m/sms/template/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑短信模板，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/template/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteid|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─code|String|模板code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|系统来源(1.排号系统,2.取件系统）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新短信模板
**URL:** http://localhost:8080/m/sms/template/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新短信模板：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteid|Long|站点ID|是|-
└─code|String|模板code|是|-
└─summary|String|备注|是|-
└─content|String|内容|是|-
└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|是|-
└─source|Integer|系统来源(1.排号系统,2.取件系统）|是|-
└─siteName|String|站点名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteid|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─code|String|模板code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|系统来源(1.排号系统,2.取件系统）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看短信模板
**URL:** http://localhost:8080/m/sms/template/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看短信模板，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/template/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteid|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─code|String|模板code|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|String|内容|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─source|Integer|系统来源(1.排号系统,2.取件系统）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除短信模板
**URL:** http://localhost:8080/m/sms/template/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除短信模板

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/sms/template/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 短信模板导入模板下载
**URL:** http://localhost:8081/m/sms/template/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 短信模板导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/sms/template/downloadTemplate
```

**Response-example:**
```
...
```

### 导入短信模板
**URL:** http://localhost:8081/m/sms/template/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入短信模板

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/sms/template/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 窗口业务服务接口
### 查询窗口业务列表
**URL:** http://localhost:8080/m/window/business/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询窗口业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─windowId|Long|窗口id|否|-
└─windowName|String|窗口名称|否|-
└─businessId|Long|业务ID|否|-
└─businessName|String|业务名称|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─windowIdStart|Long|大于 > 窗口id|否|-
└─windowIdEnd|Long|小于 < 窗口id|否|-
└─windowIdList|array|窗口id列表|否|-
└─windowNameList|array|窗口名称列表|否|-
└─businessIdStart|Long|大于 > 业务ID|否|-
└─businessIdEnd|Long|小于 < 业务ID|否|-
└─businessIdList|array|业务ID列表|否|-
└─businessNameList|array|业务名称列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/business/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑窗口业务
**URL:** http://localhost:8080/m/window/business/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑窗口业务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/business/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新窗口业务
**URL:** http://localhost:8080/m/window/business/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新窗口业务：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─windowId|Long|窗口id|是|-
└─windowName|String|窗口名称|是|-
└─businessId|Long|业务ID|是|-
└─businessName|String|业务名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看窗口业务
**URL:** http://localhost:8080/m/window/business/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看窗口业务，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/business/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessId|Long|业务ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessName|String|业务名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除窗口业务
**URL:** http://localhost:8080/m/window/business/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除窗口业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/business/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 窗口业务导入模板下载
**URL:** http://localhost:8081/m/window/business/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 窗口业务导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/window/business/downloadTemplate
```

**Response-example:**
```
...
```

### 导入窗口业务
**URL:** http://localhost:8081/m/window/business/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入窗口业务

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/window/business/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 窗口事项服务接口
### 查询窗口事项列表
**URL:** http://localhost:8080/m/window/matter/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询窗口事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─windowId|Long|窗口ID|否|-
└─windowName|String|窗口名称|否|-
└─matterId|Long|事项ID|否|-
└─matterName|String|事项名称|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─windowIdStart|Long|大于 > 窗口ID|否|-
└─windowIdEnd|Long|小于 < 窗口ID|否|-
└─windowIdList|array|窗口ID列表|否|-
└─windowNameList|array|窗口名称列表|否|-
└─matterIdStart|Long|大于 > 事项ID|否|-
└─matterIdEnd|Long|小于 < 事项ID|否|-
└─matterIdList|array|事项ID列表|否|-
└─matterNameList|array|事项名称列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/matter/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑窗口事项
**URL:** http://localhost:8080/m/window/matter/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑窗口事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/matter/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新窗口事项
**URL:** http://localhost:8080/m/window/matter/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新窗口事项：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─windowId|Long|窗口ID|是|-
└─windowName|String|窗口名称|是|-
└─matterId|Long|事项ID|是|-
└─matterName|String|事项名称|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看窗口事项
**URL:** http://localhost:8080/m/window/matter/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看窗口事项，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/matter/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|Long|事项ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|String|事项名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除窗口事项
**URL:** http://localhost:8080/m/window/matter/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除窗口事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/window/matter/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 窗口事项导入模板下载
**URL:** http://localhost:8081/m/window/matter/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 窗口事项导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/window/matter/downloadTemplate
```

**Response-example:**
```
...
```

### 导入窗口事项
**URL:** http://localhost:8081/m/window/matter/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入窗口事项

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/window/matter/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 工作人员服务接口
### 查询工作人员列表
**URL:** http://localhost:8080/m/workman/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询工作人员

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─systemUserId|Long|系统用户id号|否|-
└─deptId|Long|部门id号|否|-
└─deptName|String|部门名称|否|-
└─windowId|Long|窗口id号|否|-
└─windowName|String|窗口名称|否|-
└─siteId|Long|站点ID|否|-
└─siteName|String|站点名称|否|-
└─name|String|姓名|否|-
└─number|String|工号|否|-
└─userpost|String|职务|否|-
└─posttitle|String|职称|否|-
└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|否|-
└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|否|-
└─phone|String|电话|否|-
└─mobile|String|手机|否|-
└─starlevel|Integer|星级|否|-
└─summary|String|个人简介|否|-
└─photoPath|String|照片|否|-
└─duty|String|岗位职责|否|-
└─promise|String|服务承诺|否|-
└─business|String|办理事项|否|-
└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─systemUserIdStart|Long|大于 > 系统用户id号|否|-
└─systemUserIdEnd|Long|小于 < 系统用户id号|否|-
└─systemUserIdList|array|系统用户id号列表|否|-
└─deptIdStart|Long|大于 > 部门id号|否|-
└─deptIdEnd|Long|小于 < 部门id号|否|-
└─deptIdList|array|部门id号列表|否|-
└─deptNameList|array|部门名称列表|否|-
└─windowIdStart|Long|大于 > 窗口id号|否|-
└─windowIdEnd|Long|小于 < 窗口id号|否|-
└─windowIdList|array|窗口id号列表|否|-
└─windowNameList|array|窗口名称列表|否|-
└─siteIdStart|Long|大于 > 站点ID|否|-
└─siteIdEnd|Long|小于 < 站点ID|否|-
└─siteIdList|array|站点ID列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─nameList|array|姓名列表|否|-
└─numberList|array|工号列表|否|-
└─userpostList|array|职务列表|否|-
└─posttitleList|array|职称列表|否|-
└─politicalstatusStart|Integer|大于 > 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|否|-
└─politicalstatusEnd|Integer|小于 < 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|否|-
└─politicalstatusList|array|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)列表|否|-
└─dangyuanStart|Integer|大于 > 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|否|-
└─dangyuanEnd|Integer|小于 < 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|否|-
└─dangyuanList|array|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)列表|否|-
└─phoneList|array|电话列表|否|-
└─mobileList|array|手机列表|否|-
└─starlevelStart|Integer|大于 > 星级|否|-
└─starlevelEnd|Integer|小于 < 星级|否|-
└─starlevelList|array|星级列表|否|-
└─summaryList|array|个人简介列表|否|-
└─photoPathList|array|照片列表|否|-
└─dutyList|array|岗位职责列表|否|-
└─promiseList|array|服务承诺列表|否|-
└─businessList|array|办理事项列表|否|-
└─onlineStart|Integer|大于 > 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|否|-
└─onlineEnd|Integer|小于 < 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|否|-
└─onlineList|array|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/workman/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─systemUserId|Long|系统用户id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|姓名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|String|工号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userpost|String|职务|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─posttitle|String|职称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─phone|String|电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mobile|String|手机|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─starlevel|Integer|星级|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|个人简介|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─photoPath|String|照片|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duty|String|岗位职责|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promise|String|服务承诺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─business|String|办理事项|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑工作人员
**URL:** http://localhost:8080/m/workman/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑工作人员，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/workman/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─systemUserId|Long|系统用户id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|姓名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|String|工号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userpost|String|职务|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─posttitle|String|职称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─phone|String|电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mobile|String|手机|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─starlevel|Integer|星级|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|个人简介|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─photoPath|String|照片|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duty|String|岗位职责|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promise|String|服务承诺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─business|String|办理事项|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新工作人员
**URL:** http://localhost:8080/m/workman/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─systemUserId|Long|系统用户id号|是|-
└─deptId|Long|部门id号|是|-
└─deptName|String|部门名称|是|-
└─windowId|Long|窗口id号|是|-
└─windowName|String|窗口名称|是|-
└─siteId|Long|站点ID|是|-
└─siteName|String|站点名称|是|-
└─name|String|姓名|是|-
└─number|String|工号|是|-
└─userpost|String|职务|是|-
└─posttitle|String|职称|是|-
└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|是|-
└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|是|-
└─phone|String|电话|是|-
└─mobile|String|手机|是|-
└─starlevel|Integer|星级|是|-
└─summary|String|个人简介|是|-
└─photoPath|String|照片|是|-
└─duty|String|岗位职责|是|-
└─promise|String|服务承诺|是|-
└─business|String|办理事项|是|-
└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─systemUserId|Long|系统用户id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|姓名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|String|工号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userpost|String|职务|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─posttitle|String|职称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─phone|String|电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mobile|String|手机|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─starlevel|Integer|星级|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|个人简介|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─photoPath|String|照片|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duty|String|岗位职责|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promise|String|服务承诺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─business|String|办理事项|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看工作人员
**URL:** http://localhost:8080/m/workman/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看工作人员，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/workman/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─systemUserId|Long|系统用户id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptId|Long|部门id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deptName|String|部门名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowId|Long|窗口id号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─windowName|String|窗口名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteId|Long|站点ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|姓名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─number|String|工号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userpost|String|职务|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─posttitle|String|职称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─phone|String|电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mobile|String|手机|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─starlevel|Integer|星级|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|String|个人简介|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─photoPath|String|照片|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duty|String|岗位职责|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─promise|String|服务承诺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─business|String|办理事项|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─online|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除工作人员
**URL:** http://localhost:8080/m/workman/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除工作人员

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/workman/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 工作人员导入模板下载
**URL:** http://localhost:8081/m/workman/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 工作人员导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/workman/downloadTemplate
```

**Response-example:**
```
...
```

### 导入工作人员
**URL:** http://localhost:8081/m/workman/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入工作人员

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/workman/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 站点服务接口
### 查询站点列表
**URL:** http://localhost:8080/m/site/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询站点

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─siteName|String|站点名称|否|-
└─parentId|Long|父级id,默认0|否|-
└─ancestors|String|祖级列表，逗号分隔|否|-
└─regionCode|String|区域编号|否|-
└─iid|String|标识ID|否|-
└─siteCode|String|站点编号|否|-
└─proCode|String|省编码|否|-
└─areaCode|String|区编码|否|-
└─cityCode|String|市编码|否|-
└─siteIp|String|站点服务器ip|否|-
└─sitePort|String|站点服务器端口|否|-
└─longitude|String|经度|否|-
└─latitude|String|纬度|否|-
└─haveSonArea|String|是否有下级(0.否，1.是)|否|-
└─siteTel|String|中心联系电话|否|-
└─detailAddress|String|中心详细地址|否|-
└─siteRemark|String|中心介绍|否|-
└─amWorkStartTime|String|上午上班开始时间|否|-
└─amWorkEndTime|String|上午上班结束时间|否|-
└─pmWorkStartTime|String|下午上班开始时间|否|-
└─pmWorkEndTime|String|下午上班结束时间|否|-
└─averageTime|Integer|平均等待时间,后期删除|否|-
└─waitingNumber|Integer|等待人数,后期删除|否|-
└─workday1|Integer|周一 (1.上班，0.不上)|否|-
└─workday2|Integer|周二 (1.上班，0.不上)|否|-
└─workday3|Integer|周三 (1.上班，0.不上)|否|-
└─workday4|Integer|周四 (1.上班，0.不上)|否|-
└─workday5|Integer|周五 (1.上班，0.不上)|否|-
└─workday6|Integer|周六 (1.上班，0.不上)|否|-
└─workday7|Integer|周日 (1.上班，0.不上)|否|-
└─level|Integer|楼层|否|-
└─building|Integer|楼栋|否|-
└─isSite|Integer|是否是站点  (1.是,0.否)|否|-
└─status|Integer|站点状态 (0.停用，1.正常)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─siteNameList|array|站点名称列表|否|-
└─parentIdStart|Long|大于 > 父级id,默认0|否|-
└─parentIdEnd|Long|小于 < 父级id,默认0|否|-
└─parentIdList|array|父级id,默认0列表|否|-
└─ancestorsList|array|祖级列表，逗号分隔列表|否|-
└─regionCodeList|array|区域编号列表|否|-
└─iidList|array|标识ID列表|否|-
└─siteCodeList|array|站点编号列表|否|-
└─proCodeList|array|省编码列表|否|-
└─areaCodeList|array|区编码列表|否|-
└─cityCodeList|array|市编码列表|否|-
└─siteIpList|array|站点服务器ip列表|否|-
└─sitePortList|array|站点服务器端口列表|否|-
└─longitudeList|array|经度列表|否|-
└─latitudeList|array|纬度列表|否|-
└─haveSonAreaList|array|是否有下级(0.否，1.是)列表|否|-
└─siteTelList|array|中心联系电话列表|否|-
└─detailAddressList|array|中心详细地址列表|否|-
└─siteRemarkList|array|中心介绍列表|否|-
└─amWorkStartTimeList|array|上午上班开始时间列表|否|-
└─amWorkEndTimeList|array|上午上班结束时间列表|否|-
└─pmWorkStartTimeList|array|下午上班开始时间列表|否|-
└─pmWorkEndTimeList|array|下午上班结束时间列表|否|-
└─averageTimeStart|Integer|大于 > 平均等待时间,后期删除|否|-
└─averageTimeEnd|Integer|小于 < 平均等待时间,后期删除|否|-
└─averageTimeList|array|平均等待时间,后期删除列表|否|-
└─waitingNumberStart|Integer|大于 > 等待人数,后期删除|否|-
└─waitingNumberEnd|Integer|小于 < 等待人数,后期删除|否|-
└─waitingNumberList|array|等待人数,后期删除列表|否|-
└─workday1Start|Integer|大于 > 周一 (1.上班，0.不上)|否|-
└─workday1End|Integer|小于 < 周一 (1.上班，0.不上)|否|-
└─workday1List|array|周一 (1.上班，0.不上)列表|否|-
└─workday2Start|Integer|大于 > 周二 (1.上班，0.不上)|否|-
└─workday2End|Integer|小于 < 周二 (1.上班，0.不上)|否|-
└─workday2List|array|周二 (1.上班，0.不上)列表|否|-
└─workday3Start|Integer|大于 > 周三 (1.上班，0.不上)|否|-
└─workday3End|Integer|小于 < 周三 (1.上班，0.不上)|否|-
└─workday3List|array|周三 (1.上班，0.不上)列表|否|-
└─workday4Start|Integer|大于 > 周四 (1.上班，0.不上)|否|-
└─workday4End|Integer|小于 < 周四 (1.上班，0.不上)|否|-
└─workday4List|array|周四 (1.上班，0.不上)列表|否|-
└─workday5Start|Integer|大于 > 周五 (1.上班，0.不上)|否|-
└─workday5End|Integer|小于 < 周五 (1.上班，0.不上)|否|-
└─workday5List|array|周五 (1.上班，0.不上)列表|否|-
└─workday6Start|Integer|大于 > 周六 (1.上班，0.不上)|否|-
└─workday6End|Integer|小于 < 周六 (1.上班，0.不上)|否|-
└─workday6List|array|周六 (1.上班，0.不上)列表|否|-
└─workday7Start|Integer|大于 > 周日 (1.上班，0.不上)|否|-
└─workday7End|Integer|小于 < 周日 (1.上班，0.不上)|否|-
└─workday7List|array|周日 (1.上班，0.不上)列表|否|-
└─levelStart|Integer|大于 > 楼层|否|-
└─levelEnd|Integer|小于 < 楼层|否|-
└─levelList|array|楼层列表|否|-
└─buildingStart|Integer|大于 > 楼栋|否|-
└─buildingEnd|Integer|小于 < 楼栋|否|-
└─buildingList|array|楼栋列表|否|-
└─isSiteStart|Integer|大于 > 是否是站点  (1.是,0.否)|否|-
└─isSiteEnd|Integer|小于 < 是否是站点  (1.是,0.否)|否|-
└─isSiteList|array|是否是站点  (1.是,0.否)列表|否|-
└─statusStart|Integer|大于 > 站点状态 (0.停用，1.正常)|否|-
└─statusEnd|Integer|小于 < 站点状态 (0.停用，1.正常)|否|-
└─statusList|array|站点状态 (0.停用，1.正常)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级id,默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─regionCode|String|区域编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|标识ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteCode|String|站点编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─proCode|String|省编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cityCode|String|市编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteIp|String|站点服务器ip|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sitePort|String|站点服务器端口|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─longitude|String|经度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─latitude|String|纬度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级(0.否，1.是)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteTel|String|中心联系电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─detailAddress|String|中心详细地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteRemark|String|中心介绍|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkStartTime|String|上午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkEndTime|String|上午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkStartTime|String|下午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkEndTime|String|下午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─averageTime|Integer|平均等待时间,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─waitingNumber|Integer|等待人数,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|Integer|周一 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|Integer|周二 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|Integer|周三 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|Integer|周四 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|Integer|周五 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|Integer|周六 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|Integer|周日 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|Integer|是否是站点  (1.是,0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|站点状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑站点
**URL:** http://localhost:8080/m/site/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑站点，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级id,默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─regionCode|String|区域编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|标识ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteCode|String|站点编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─proCode|String|省编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cityCode|String|市编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteIp|String|站点服务器ip|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sitePort|String|站点服务器端口|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─longitude|String|经度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─latitude|String|纬度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级(0.否，1.是)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteTel|String|中心联系电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─detailAddress|String|中心详细地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteRemark|String|中心介绍|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkStartTime|String|上午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkEndTime|String|上午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkStartTime|String|下午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkEndTime|String|下午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─averageTime|Integer|平均等待时间,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─waitingNumber|Integer|等待人数,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|Integer|周一 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|Integer|周二 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|Integer|周三 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|Integer|周四 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|Integer|周五 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|Integer|周六 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|Integer|周日 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|Integer|是否是站点  (1.是,0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|站点状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新站点
**URL:** http://localhost:8080/m/site/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新站点：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─siteName|String|站点名称|是|-
└─parentId|Long|父级id,默认0|是|-
└─ancestors|String|祖级列表，逗号分隔|是|-
└─regionCode|String|区域编号|是|-
└─iid|String|标识ID|是|-
└─siteCode|String|站点编号|是|-
└─proCode|String|省编码|是|-
└─areaCode|String|区编码|是|-
└─cityCode|String|市编码|是|-
└─siteIp|String|站点服务器ip|是|-
└─sitePort|String|站点服务器端口|是|-
└─longitude|String|经度|是|-
└─latitude|String|纬度|是|-
└─haveSonArea|String|是否有下级(0.否，1.是)|是|-
└─siteTel|String|中心联系电话|是|-
└─detailAddress|String|中心详细地址|是|-
└─siteRemark|String|中心介绍|是|-
└─amWorkStartTime|String|上午上班开始时间|是|-
└─amWorkEndTime|String|上午上班结束时间|是|-
└─pmWorkStartTime|String|下午上班开始时间|是|-
└─pmWorkEndTime|String|下午上班结束时间|是|-
└─averageTime|Integer|平均等待时间,后期删除|是|-
└─waitingNumber|Integer|等待人数,后期删除|是|-
└─workday1|Integer|周一 (1.上班，0.不上)|是|-
└─workday2|Integer|周二 (1.上班，0.不上)|是|-
└─workday3|Integer|周三 (1.上班，0.不上)|是|-
└─workday4|Integer|周四 (1.上班，0.不上)|是|-
└─workday5|Integer|周五 (1.上班，0.不上)|是|-
└─workday6|Integer|周六 (1.上班，0.不上)|是|-
└─workday7|Integer|周日 (1.上班，0.不上)|是|-
└─level|Integer|楼层|是|-
└─building|Integer|楼栋|是|-
└─isSite|Integer|是否是站点  (1.是,0.否)|是|-
└─status|Integer|站点状态 (0.停用，1.正常)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级id,默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─regionCode|String|区域编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|标识ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteCode|String|站点编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─proCode|String|省编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cityCode|String|市编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteIp|String|站点服务器ip|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sitePort|String|站点服务器端口|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─longitude|String|经度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─latitude|String|纬度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级(0.否，1.是)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteTel|String|中心联系电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─detailAddress|String|中心详细地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteRemark|String|中心介绍|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkStartTime|String|上午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkEndTime|String|上午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkStartTime|String|下午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkEndTime|String|下午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─averageTime|Integer|平均等待时间,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─waitingNumber|Integer|等待人数,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|Integer|周一 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|Integer|周二 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|Integer|周三 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|Integer|周四 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|Integer|周五 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|Integer|周六 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|Integer|周日 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|Integer|是否是站点  (1.是,0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|站点状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看站点
**URL:** http://localhost:8080/m/site/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看站点，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteName|String|站点名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|Long|父级id,默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─regionCode|String|区域编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|标识ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteCode|String|站点编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─proCode|String|省编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cityCode|String|市编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteIp|String|站点服务器ip|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sitePort|String|站点服务器端口|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─longitude|String|经度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─latitude|String|纬度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级(0.否，1.是)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteTel|String|中心联系电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─detailAddress|String|中心详细地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─siteRemark|String|中心介绍|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkStartTime|String|上午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─amWorkEndTime|String|上午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkStartTime|String|下午上班开始时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─pmWorkEndTime|String|下午上班结束时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─averageTime|Integer|平均等待时间,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─waitingNumber|Integer|等待人数,后期删除|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|Integer|周一 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|Integer|周二 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|Integer|周三 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|Integer|周四 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|Integer|周五 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|Integer|周六 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|Integer|周日 (1.上班，0.不上)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─level|Integer|楼层|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─building|Integer|楼栋|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|Integer|是否是站点  (1.是,0.否)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|站点状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday1|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday2|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday3|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday4|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday5|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday6|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─workday7|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isSite|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除站点
**URL:** http://localhost:8080/m/site/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除站点

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/site/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 站点导入模板下载
**URL:** http://localhost:8081/m/site/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 站点导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/site/downloadTemplate
```

**Response-example:**
```
...
```

### 导入站点
**URL:** http://localhost:8081/m/site/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入站点

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/site/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 区域服务接口
### 查询区域列表
**URL:** http://localhost:8080/m/area/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询区域

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|序号，主键，自增长|否|-
└─ancestors|String|祖级列表，逗号分隔|否|-
└─name|String|区域名称|否|-
└─iid|String|一体化的ID号|否|-
└─parentId|String|一体化的父id|否|-
└─haveSonArea|String|是否有下级区域（True.是，False.否）|否|-
└─haveSonDept|String|是否有下级部门（True.是，False.否）|否|-
└─haveGetDept|String|是否获取部门（true.是，false.否）|否|-
└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|否|-
└─areaCode|String|区域编码|否|-
└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|否|-
└─shortName|String|名称简称|否|-
└─domain|String|访问地址|否|-
└─status|Integer|区域状态 (0.停用，1.正常)|否|-
└─createTime|Date|创建时间|否|-
└─createUserId|Long|创建用户|否|-
└─updateTime|Date|修改时间|否|-
└─idStart|Long|大于 > 序号，主键，自增长|否|-
└─idEnd|Long|小于 < 序号，主键，自增长|否|-
└─idList|array|序号，主键，自增长列表|否|-
└─ancestorsList|array|祖级列表，逗号分隔列表|否|-
└─nameList|array|区域名称列表|否|-
└─iidList|array|一体化的ID号列表|否|-
└─parentIdList|array|一体化的父id列表|否|-
└─haveSonAreaList|array|是否有下级区域（True.是，False.否）列表|否|-
└─haveSonDeptList|array|是否有下级部门（True.是，False.否）列表|否|-
└─haveGetDeptList|array|是否获取部门（true.是，false.否）列表|否|-
└─haveGetMatterListList|array|是否获取事项列表（true.是，false.否）列表|否|-
└─areaCodeList|array|区域编码列表|否|-
└─areaLevelStart|Integer|大于 > 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|否|-
└─areaLevelEnd|Integer|小于 < 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|否|-
└─areaLevelList|array|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)列表|否|-
└─shortNameList|array|名称简称列表|否|-
└─domainList|array|访问地址列表|否|-
└─statusStart|Integer|大于 > 区域状态 (0.停用，1.正常)|否|-
└─statusEnd|Integer|小于 < 区域状态 (0.停用，1.正常)|否|-
└─statusList|array|区域状态 (0.停用，1.正常)列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─updateTimeStart|Date|大于 > 修改时间|否|-
└─updateTimeEnd|Date|小于 < 修改时间|否|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/area/list --data 'query.id=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|区域名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|一体化的ID号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|String|一体化的父id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级区域（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|String|是否有下级部门（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|String|是否获取部门（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区域编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shortName|String|名称简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─domain|String|访问地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|区域状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑区域
**URL:** http://localhost:8080/m/area/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑区域，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/area/edit --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|区域名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|一体化的ID号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|String|一体化的父id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级区域（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|String|是否有下级部门（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|String|是否获取部门（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区域编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shortName|String|名称简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─domain|String|访问地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|区域状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新区域
**URL:** http://localhost:8080/m/area/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新区域：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─ancestors|String|祖级列表，逗号分隔|是|-
└─name|String|区域名称|是|-
└─iid|String|一体化的ID号|是|-
└─parentId|String|一体化的父id|是|-
└─haveSonArea|String|是否有下级区域（True.是，False.否）|是|-
└─haveSonDept|String|是否有下级部门（True.是，False.否）|是|-
└─haveGetDept|String|是否获取部门（true.是，false.否）|是|-
└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|是|-
└─areaCode|String|区域编码|是|-
└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|是|-
└─shortName|String|名称简称|是|-
└─domain|String|访问地址|是|-
└─status|Integer|区域状态 (0.停用，1.正常)|是|-

**请求样例:**
```
...

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|区域名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|一体化的ID号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|String|一体化的父id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级区域（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|String|是否有下级部门（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|String|是否获取部门（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区域编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shortName|String|名称简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─domain|String|访问地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|区域状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看区域
**URL:** http://localhost:8080/m/area/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看区域，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/area/view --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|序号，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ancestors|String|祖级列表，逗号分隔|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|String|区域名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─iid|String|一体化的ID号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentId|String|一体化的父id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|String|是否有下级区域（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|String|是否有下级部门（True.是，False.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|String|是否获取部门（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaCode|String|区域编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shortName|String|名称简称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─domain|String|访问地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|Integer|区域状态 (0.停用，1.正常)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|修改时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonArea|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveSonDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetDept|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─haveGetMatterList|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─areaLevel|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除区域
**URL:** http://localhost:8080/m/area/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除区域

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
curl -X POST -i http://localhost:8080/m/area/delete --data 'id=[1]'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 区域导入模板下载
**URL:** http://localhost:8081/m/area/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 区域导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/area/downloadTemplate
```

**Response-example:**
```
...
```

### 导入区域
**URL:** http://localhost:8081/m/area/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入区域

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/area/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```

## 字典附录

### hongqi字典
字典参数key|字典参数值|其它
---|---|---
1|是|-
0|否|-







### isBusiness字典
字典参数key|字典参数值|其它
---|---|---
0|一级业务|-
1|二级业务|-

### canorder字典
字典参数key|字典参数值|其它
---|---|---
1|允许|-
0|不允许|-

### cantake字典
字典参数key|字典参数值|其它
---|---|---
1|允许|-
0|不允许|-

### datashow字典
字典参数key|字典参数值|其它
---|---|---
1|展示|-
0|不展示|-

### status字典
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-













### isAutotable字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isOrder字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isBkb字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isWorkGuide字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### usValid字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isSecphone字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isEnglish字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-













### appoveObjectShow字典
字典参数key|字典参数值|其它
---|---|---
1|事业法人|-
2|社会组织法人|-
3|非法人企业|-
4|企业法人|-
5|自然人|-
6|其他组织|-

### operatScopeShow字典
字典参数key|字典参数值|其它
---|---|---
1|无|-
2|全国|-
3|全省|-
4|全市|-
5|全县|-
6|全镇[乡|-
7|跨村[社区]|-

### appoveTimeLimitShow字典
字典参数key|字典参数值|其它
---|---|---
1|网络办件|-
2|行政审批一般件|-
3|综合窗口件|-

### handleType字典
字典参数key|字典参数值|其它
---|---|---
1|窗口办理|-
2|网上办理|-

### isChargesShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### certificationLevelsShow字典
字典参数key|字典参数值|其它
---|---|---
1|实名认证|-
2|单次面签|-
3|每次面签|-

### isOnlineSubscribeShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isExpressTakeShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isProvinceAcquisitionShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isApplyProvinceShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### onlineType字典
字典参数key|字典参数值|其它
---|---|---
1|原件预审|-
2|原件核验|-
3|全程网办|-

### onlineOperatDeep字典
字典参数key|字典参数值|其它
---|---|---
1|互联网咨询|-
2|互联网收件|-
3|互联网预审|-
4|互联网受理|-
5|互联网办理|-
6|互联网办理结果信息反馈|-
7|其他|-

### isExpressTakeOnlineShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isDoorTakeShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### eventTypeShow字典
字典参数key|字典参数值|其它
---|---|---
1A|行政许可|-
1B|行政处罚|-
1C|行政强制|-
1D|行政征收|-
1G|行政给付|-
1I|行政检查|-
1F|行政确认|-
1H|行政奖励|-
1E|行政裁决|-
1Z|其他行政权力|-
2A|主动服务|-
2B|依申请服务|-
2C|咨询查询|-
3A|未归类事项|-

### performHierarchyShow字典
字典参数key|字典参数值|其它
---|---|---
1|省级|-
2|市级|-
3|县级|-
4|镇[乡|-
5|村[社区]级|-

### powerSourceShow字典
字典参数key|字典参数值|其它
---|---|---
1|法定本级行使|-
2|上级下放|-
3|上级授权|-
4|同级授权|-
5|上级委托|-
6|同级委托|-

### performDeptTypeShow字典
字典参数key|字典参数值|其它
---|---|---
1|法定机关|-
2|授权组织|-
3|受委托组织|-

### goveServiceCenterShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isConvenientCenterShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### terminalHandle字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isOnline字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isOnlinePayShow字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### entrustmentDepartmen字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### matterStatus字典
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|在用|-

### type字典
字典参数key|字典参数值|其它
---|---|---
1|法定机关|-
2|授权组织|-
3|受委托组织|-

### mattertype字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-







### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### isMust字典
字典参数key|字典参数值|其它
---|---|---
1|非必要|-
2|必要|-
3|必要|容缺后补|-
4|非必要|容缺后补|-

### materialProperty字典
字典参数key|字典参数值|其它
---|---|---
1|纸质|-
2|电子|-
3|纸质|电子|-

### electronicgs字典
字典参数key|字典参数值|其它
---|---|---
1|无|-
2|不限|-
3|jpg|-
4|jpeg|-
5|pdf|-
6|word|-
7|pdf|-
8|pdf|-

### materialSource字典
字典参数key|字典参数值|其它
---|---|---
1|无|-
2|申请人自备|-
3|政府部门核发|-
4|其他|-

### jianmMs字典
字典参数key|字典参数值|其它
---|---|---
1|无|-
2|减|-
3|免|-

### isjianm字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### isLack字典
字典参数key|字典参数值|其它
---|---|---
1|必要|-
2|非必要|-

### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### filetype字典
字典参数key|字典参数值|其它
---|---|---
1|示例样表|-
2|空白表格|-

### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-







### policyType字典
字典参数key|字典参数值|其它
---|---|---
1|法律|-
2|行政法规|-
3|地方法规|-
4|部门规章|-
5|其他|-
6|政府规章|-
7|规范性文件|-

### source字典
字典参数key|字典参数值|其它
---|---|---
0|政务网|-
1|自定义|-

























### messageoff字典
字典参数key|字典参数值|其它
---|---|---
1|开|-
0|关|-

### smsplatform字典
字典参数key|字典参数值|其它
---|---|---
1|容联|-
2|阿里云|-
3|移动|-







### type字典
字典参数key|字典参数值|其它
---|---|---
1|预约成功短信|-
2|取号成功短信|-
3|临近叫号短信|-



















### online字典
字典参数key|字典参数值|其它
---|---|---
0|离线|-
1|在线|-
2|暂离|-
3|点击暂离|-
4|回归|-
5|登陆|-







### haveSonArea字典
字典参数key|字典参数值|其它
---|---|---
0|否|-
1|是|-

### workday1字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday2字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday3字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday4字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday5字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday6字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### workday7字典
字典参数key|字典参数值|其它
---|---|---
1|上班|-
0|不上|-

### isSite字典
字典参数key|字典参数值|其它
---|---|---
1|是|-
0|否|-

### status字典
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-







### haveSonArea字典
字典参数key|字典参数值|其它
---|---|---
True|是|-
False|否|-

### haveSonDept字典
字典参数key|字典参数值|其它
---|---|---
True|是|-
False|否|-

### haveGetDept字典
字典参数key|字典参数值|其它
---|---|---
true|是|-
false|否|-

### haveGetMatterList字典
字典参数key|字典参数值|其它
---|---|---
true|是|-
false|否|-

### areaLevel字典
字典参数key|字典参数值|其它
---|---|---
1|省|-
2|地市州|-
3|区县|-
4|街道|-
5|社区|-

### status字典
字典参数key|字典参数值|其它
---|---|---
0|停用|-
1|正常|-






